import fit2cloudTwLocale from 'fit2cloud-ui-plus/src/locale/lang/zh-cn';
let xpackTwLocale = {};
const xpackModules = import.meta.glob('../../xpack/lang/tw.ts', { eager: true });
if (xpackModules['../../xpack/lang/tw.ts']) {
    xpackTwLocale = xpackModules['../../xpack/lang/tw.ts']['default'] || {};
}

const message = {
    commons: {
        true: '是',
        false: '否',
        example: '例：',
        button: {
            create: '創建',
            add: '添加',
            save: '保存',
            set: '設置',
            sync: '同步',
            delete: '刪除',
            edit: '編輯',
            enable: '啟用',
            disable: '禁用',
            confirm: '確認',
            cancel: '取消',
            reset: '重置',
            restart: '重啟',
            conn: '連接',
            disconn: '斷開',
            clean: '清空',
            login: '登錄',
            close: '關閉',
            stop: '關閉',
            start: '開啟',
            view: '詳情',
            watch: '追蹤',
            handle: '執行',
            expand: '展開',
            collapse: '收起',
            log: '日誌',
            back: '返回',
            backup: '備份',
            recover: '恢復',
            retry: '重試',
            upload: '上傳',
            download: '下載',
            init: '初始化',
            verify: '驗證',
            saveAndEnable: '保存並啟用',
            import: '導入',
            search: '搜索',
            refresh: '刷新',
            get: '獲取',
            upgrade: '升級',
            ignore: '忽略升級',
            copy: '復製',
            random: '隨機密碼',
            uninstall: '卸載',
            fullscreen: '全屏',
            quitFullscreen: '退出全屏',
            update: '編輯',
            showAll: '顯示所有',
            hideSome: '隱藏部分',
            agree: '同意',
            notAgree: '不同意',
            preview: '預覽',
            open: '打開',
            notSave: '不保存',
            createNewFolder: '新建資料夾',
            createNewFile: '新建檔案',
            helpDoc: '幫助文档',
        },
        search: {
            timeStart: '開始時間',
            timeEnd: '結束時間',
            timeRange: '至',
            dateStart: '開始日期',
            dateEnd: '結束日期',
        },
        table: {
            all: '所有',
            total: '共 {0} 條',
            name: '名稱',
            type: '類型',
            status: '狀態',
            statusSuccess: '成功',
            statusFailed: '失敗',
            statusWaiting: '進行中...',
            records: '任務輸出',
            group: '分組',
            createdAt: '創建時間',
            publishedAt: '發布時間',
            date: '時間',
            updatedAt: '更新時間',
            operate: '操作',
            message: '信息',
            description: '描述信息',
            interval: '耗時',
            user: '用戶',
            title: '標題',
            port: '端口',
            forward: '轉發',
            protocol: '協議',
            tableSetting: '列表設置',
            refreshRate: '刷新頻率',
            noRefresh: '不刷新',
            refreshRateUnit: '{0} 秒/次',
            selectColumn: '選擇列',
        },
        loadingText: {
            Upgrading: '系統升級中，請稍候...',
            Restarting: '系統重啟中，請稍候...',
            Recovering: '快照恢復中，請稍候...',
            Rollbacking: '快照回滾中，請稍候...',
        },
        msg: {
            noneData: '暫無數據',
            delete: '刪除 操作不可回滾，是否繼續？',
            clean: '清空 操作不可回滾，是否繼續？',
            deleteTitle: '刪除',
            deleteSuccess: '刪除成功',
            loginSuccess: '登錄成功',
            operationSuccess: '操作成功',
            copySuccess: '復製成功',
            notSupportOperation: '不支持的當前操作',
            requestTimeout: '請求超時,請稍後重試',
            infoTitle: '提示',
            notRecords: '當前任務未產生執行記錄',
            sureLogOut: '您是否確認退出登錄?',
            createSuccess: '創建成功',
            updateSuccess: '更新成功',
            uploadSuccess: '上傳成功',
            operate: '操作',
            operateConfirm: '如果確認操作，請手動輸入',
            inputOrSelect: '請選擇或輸入',
            copyFailed: '復製失敗',
            operatorHelper: '將對以下{0}進行{1}操作，是否繼續？',
            backupSuccess: '備份成功',
            restoreSuccess: '備份成功',
            notFound: '抱歉，您訪問的頁面不存在',
            unSupportType: '不支持當前文件類型！',
            unSupportSize: '上傳文件超過 {0}M，請確認！',
            fileExist: '當前文件夾已存在該文件，不支持重復上傳！',
            fileNameErr: '僅支持上傳名稱包含英文、中文、數字或者 .-_ ,長度 1-256 位的文件',
            confirmNoNull: '請確認 {0} 值不為空',
            errPort: '錯誤的端口信息，請確認！',
            remove: '移出',
            backupHelper: '當前操作將對 {0} 進行備份，是否繼續？',
            recoverHelper: '將從 {0} 文件進行恢復，該操作不可回滾，是否繼續？',
            refreshSuccess: '重繪成功',
            rootInfoErr: '已經是根目錄了',
            resetSuccess: '重置成功',
            creatingInfo: '正在創建，無需此操作',
        },
        login: {
            username: '用戶名',
            password: '密碼',
            welcome: '歡迎回來，請輸入用戶名和密碼登錄！',
            errorAuthInfo: '您輸入的用戶名或密碼不正確，請重新輸入！',
            errorMfaInfo: '錯誤的驗證信息，請重試！',
            captchaHelper: '驗證碼',
            errorCaptcha: '驗證碼錯誤！',
            notSafe: '暫無權限訪問',
            safeEntrance1: '當前環境已經開啟了安全入口登錄',
            safeEntrance2: '在 SSH 終端輸入以下命令來查看面板入口: 1pctl user-info',
            errIP1: '當前環境已經開啟了授權 IP 訪問',
            errDomain1: '當前環境已經開啟了訪問域名綁定',
            errHelper: '可在 SSH 終端輸入以下命令來重置綁定信息: ',
            codeInput: '請輸入 MFA 驗證器的 6 位驗證碼',
            mfaTitle: 'MFA 認證',
            mfaCode: 'MFA 驗證碼',
            title: 'Linux 服務器運維管理面板',
            licenseHelper:
                '同意 &laquo; <a href="https://www.fit2cloud.com/legal/licenses.html" target="_blank"> 飛致雲社區軟件許可協議</a> &raquo;',
            errorAgree: '請點擊同意社區軟件許可協議',
            agreeTitle: '服務協議及隱私保護',
            agreeContent:
                '為了更好的保障您的合法權益，請您閱讀並同意以下協議 &laquo; <a href="https://www.fit2cloud.com/legal/licenses.html" target="_blank"> 飛致雲社區軟件許可協議 </a> &raquo;',
            logout: '退出登錄',
        },
        rule: {
            username: '請輸入用戶名',
            password: '請輸入密碼',
            rePassword: '密碼不一致，請檢查後重新輸入',
            requiredInput: '請填寫必填項',
            requiredSelect: '請選擇必選項',
            illegalInput: '輸入框中存在不合法字符',
            commonName: '支持非特殊字元開頭,英文、中文、數字、.-和_,長度1-128',
            userName: '支持英文、中文、數字和_,長度3-30',
            simpleName: '支持非底線開頭，英文、數字、_,長度3-30',
            simplePassword: '支持非底線開頭，英文、數字、_,長度1-30',
            dbName: '支持非特殊字符開頭，英文、中文、數字、.-_，長度1-64',
            imageName: '支持英文、數字、:/.-_,長度1-150',
            volumeName: '支持英文、數字、.-和_,長度2-30',
            supervisorName: '支援非特殊字元開頭,英文、數字、-和_,長度1-128',
            complexityPassword: '請輸入長度為 8-30 位，並包含字母、數字、至少兩種特殊字符的密碼組合',
            commonPassword: '請輸入 6 位以上長度密碼',
            linuxName: '長度1-128，名稱不能含有{0}等符號',
            email: '請輸入正確的郵箱',
            number: '請輸入正確的數字',
            integer: '請輸入正確的正整數',
            ip: '請輸入正確的 IP 地址',
            host: '請輸入正確的 IP 或者域名',
            hostHelper: '支持輸入 ip 或者域名',
            port: '請輸入正確的端口,1-65535',
            selectHelper: '請選擇正確的 {0} 文件',
            domain: '域名格式錯誤',
            databaseName: '支持英文、數字、_,長度1-30',
            ipErr: 'IP [{0}] 格式錯誤,請檢查',
            numberRange: '數字範圍: {0} - {1}',
            paramName: '支持英文、數字、.-和_,長度2-64',
            paramComplexity: '支持英文、數字、{0},長度6-128，特殊字符不能在首尾',
            paramUrlAndPort: '格式為 http(s)://(域名/ip):(端口)',
            nginxDoc: '僅支持英文大小寫，數字，和.',
            appName: '支持英文、數字、-和_,長度2-30,並且不能以-_開頭和結尾',
            containerName: '支持字母、數字、_-和.,不能以-_或.開頭,長度2-128',
            mirror: '支持以 http(s):// 開頭，英文大小寫，數字，. / 和 - 的鏡像加速地址，且不能有空行',
            disableFunction: '僅支持字母、下劃線和,',
            leechExts: '僅支持字母數字和,',
            paramSimple: '支持小寫字母和數字,長度 1-128',
            filePermission: '權限錯誤',
            formatErr: '格式錯誤，檢查後重試',
            phpExtension: '僅支持 , _ 小寫英文和數字',
            paramHttp: '必須以 http:// 或 https:// 開頭',
        },
        res: {
            paramError: '請求失敗,請稍後重試!',
            forbidden: '當前用戶無權限',
            serverError: '服務異常',
            notFound: '資源不存在',
            commonError: '請求失敗',
        },
        service: {
            serviceNotStarted: '當前未啟動 {0} 服務',
        },
        status: {
            running: '已啟動',
            done: '已完成',
            scanFailed: '未完成',
            success: '成功',
            waiting: '執行中',
            waiting1: '等待中',
            failed: '失敗',
            stopped: '已停止',
            error: '失敗',
            created: '已創建',
            restarting: '重啟中',
            uploading: '上傳中',
            unhealthy: '異常',
            removing: '移除中',
            paused: '已暫停',
            exited: '已停止',
            dead: '已結束',
            installing: '安裝中',
            enabled: '已啟用',
            disabled: '已停止',
            normal: '正常',
            building: '製作鏡像中',
            downloaderr: '下載失敗',
            upgrading: '升級中',
            upgradeerr: '升級失敗',
            pullerr: '鏡像拉取失敗',
            rebuilding: '重建中',
            deny: '已屏蔽',
            accept: '已放行',
            used: '已使用',
            unUsed: '未使用',
            starting: '啟動中',
            recreating: '重建中',
            creating: '創建中',
            systemrestart: '中斷',
            init: '等待申請',
            ready: '正常',
            applying: '申請中',
            applyerror: '失敗',
            syncerr: '失敗',
            uperr: '失败',
        },
        units: {
            second: '秒',
            minute: '分鐘',
            hour: '小時',
            day: '天',
            week: '周',
            month: '月',
            year: '年',
            time: '次',
            core: '核',
            millisecond: '毫秒',
        },
        operate: {
            down: '停止',
            up: '啟動',
            restart: '重啟',
            install: '安裝',
            uninstall: '卸載',
            update: '更新',
        },
    },
    menu: {
        home: '概覽',
        apps: '應用商店',
        website: '網站',
        project: '項目',
        config: '配置',
        ssh: 'SSH 配置',
        firewall: '防火墻',
        ssl: '證書',
        database: '數據庫',
        container: '容器',
        cronjob: '計劃任務',
        host: '主機',
        files: '文件',
        monitor: '監控',
        terminal: '終端',
        settings: '面板設置',
        toolbox: '工具箱',
        logs: '日誌審計',
        runtime: '運行環境',
        processManage: '進程管理',
        process: '進程',
        network: '網絡',
        supervisor: '進程守護',
        tamper: '防篡改',
    },
    home: {
        restart_1panel: '重啟面板',
        restart_system: '重啟服務器',
        operationSuccess: '操作成功，正在重啟，請稍後手動刷新瀏覽器！',
        overview: '概覽',
        entranceHelper: '設置安全入口有利於提高系統的安全性，如有需要，前往 面板設置-安全 中，啟用安全入口',
        appInstalled: '已安裝應用',
        systemInfo: '系統信息',
        hostname: '主機名稱',
        platformVersion: '發行版本',
        kernelVersion: '內核版本',
        kernelArch: '系統類型',
        network: '流量',
        io: '磁盤 IO',
        baseInfo: '基本信息',
        totalSend: '總發送',
        totalRecv: '總接收',
        rwPerSecond: '讀寫次數',
        ioDelay: '讀寫延遲',
        uptime: '啟動時間',
        runningTime: '運行時間',
        mem: '系統',
        swapMem: 'Swap 分區',

        runSmoothly: '運行流暢',
        runNormal: '運行正常',
        runSlowly: '運行緩慢',
        runJam: '運行堵塞',

        core: '物理核心',
        logicCore: '邏輯核心',
        loadAverage: '最近 {0} 分鐘平均負載',
        load: '負載',
        mount: '掛載點',
        fileSystem: '文件系統',
        total: '總數',
        used: '已用',
        free: '可用',
        percent: '使用率',
        app: '推薦應用',
        goInstall: '去安裝',

        networkCard: '網卡',
        disk: '磁盤',
    },
    tabs: {
        more: '更多',
        hide: '收起',
        close: '關閉',
        closeLeft: '關閉左側',
        closeRight: '關閉右側',
        closeCurrent: '關閉當前',
        closeOther: '關閉其它',
        closeAll: '關閉所有',
    },
    header: {
        logout: '退出登錄',
    },
    database: {
        all: '全部',
        manage: '管理',
        database: '數據庫',
        deleteBackupHelper: '同時刪除數據庫備份',
        delete: '刪除操作無法回滾，請輸入 "',
        deleteHelper: '" 刪除此數據庫',
        create: '創建數據庫',
        noMysql: '數據庫服務 (MySQL 或 MariaDB)',
        noPostgresql: '數據庫服務 Postgresql',
        goUpgrade: '去應用商店升級',
        goInstall: '去應用商店安裝',
        source: '來源',
        isDelete: '已刪除',
        permission: '權限',
        permissionForIP: '指定 IP',
        permissionAll: '所有人(%)',
        databaseConnInfo: '連接信息',
        rootPassword: 'root 密碼',
        serviceName: '服務名稱',
        serviceNameHelper: '用於同一 network 下的容器間訪問',
        backupList: '備份列表',
        loadBackup: '導入備份',
        remoteAccess: '遠程訪問',
        remoteHelper: '多個 ip 以逗號分隔，例：172.16.10.111,172.16.10.112',
        remoteConnHelper: 'root 帳號遠程連接 mysql 有安全風險，開啟需謹慎！',
        changePassword: '改密',
        changePasswordHelper: '當前數據庫已經關聯應用，修改密碼將同步修改應用中數據庫密碼，修改後重啟生效。',

        portHelper: '該端口為容器對外暴露端口，修改需要單獨保存並且重啟容器！',

        confChange: '配置修改',
        confNotFound: '未能找到該應用配置文件，請在應用商店升級該應用至最新版本後重試！',

        loadFromRemote: '從伺服器同步',
        userBind: '綁定使用者',
        pgBindHelper: '此操作用於創建新使用者並將其綁定到目標資料庫，暫不支援選擇已存在於資料庫中的使用者。',
        pgSuperUser: '超級使用者',
        loadFromRemoteHelper: '此操作將同步服務器上數據庫信息到 1Panel，是否繼續？',
        passwordHelper: '無法獲取密碼，請修改',
        local: '本地',
        remote: '遠程',
        remoteDB: '遠程服務器',
        createRemoteDB: '添加遠程服務器',
        editRemoteDB: '編輯遠程服務器',
        localDB: '本地數據庫',
        address: '數據庫地址',
        version: '數據庫版本',
        userHelper: 'root 用戶或者擁有 root 權限的數據庫用戶',
        pgUserHelper: '具有超級管理員權限的數據庫使用者',
        ssl: '使用 SSL',
        clientKey: '客户端私钥',
        clientCert: '客户端证书',
        caCert: 'CA 证书',
        hasCA: '擁有 CA 證書',
        skipVerify: '忽略校验证书可用性检测',

        formatHelper: '當前資料庫字符集為 {0}，字符集不一致可能導致恢復失敗',
        selectFile: '選擇文件',
        dropHelper: '將上傳文件拖拽到此處，或者',
        clickHelper: '點擊上傳',
        supportUpType: '僅支持 sql、sql.gz、tar.gz 文件',
        zipFormat: 'tar.gz 壓縮包結構：test.tar.gz 壓縮包內，必需包含 test.sql',

        currentStatus: '當前狀態',
        baseParam: '基礎參數',
        performanceParam: '性能參數',
        runTime: '啟動時間',
        connections: '總連接數',
        bytesSent: '發送',
        bytesReceived: '接收',
        queryPerSecond: '每秒查詢',
        txPerSecond: '每秒事務',
        connInfo: '活動/峰值連接數',
        connInfoHelper: '若值過大，增加 max_connections',
        threadCacheHit: '線程緩存命中率',
        threadCacheHitHelper: '若過低,增加 thread_cache_size',
        indexHit: '索引命中率',
        indexHitHelper: '若過低,增加 key_buffer_size',
        innodbIndexHit: 'Innodb 索引命中率',
        innodbIndexHitHelper: '若過低,增加 innodb_buffer_pool_size',
        cacheHit: '查詢緩存命中率',
        cacheHitHelper: '若過低,增加 query_cache_size',
        tmpTableToDB: '創建臨時表到磁盤',
        tmpTableToDBHelper: '若過大,嘗試增加 tmp_table_size',
        openTables: '已打開的表',
        openTablesHelper: 'table_open_cache 配置值應大於等於此值',
        selectFullJoin: '沒有使用索引的量',
        selectFullJoinHelper: '若不為0，請檢查數據表的索引是否合理',
        selectRangeCheck: '沒有索引的 JOIN 量',
        selectRangeCheckHelper: '若不為0，請檢查數據表的索引是否合理',
        sortMergePasses: '排序後的合並次數',
        sortMergePassesHelper: '若值過大，增加sort_buffer_size',
        tableLocksWaited: '鎖表次數',
        tableLocksWaitedHelper: '若值過大，請考慮增加您的數據庫性能',

        performanceTuning: '性能調整',
        optimizationScheme: '優化方案',
        keyBufferSizeHelper: '用於索引的緩沖區大小',
        queryCacheSizeHelper: '查詢緩存，不開啟請設為0',
        tmpTableSizeHelper: '臨時表緩存大小',
        innodbBufferPoolSizeHelper: 'Innodb 緩沖區大小',
        innodbLogBufferSizeHelper: 'Innodb 日誌緩沖區大小',
        sortBufferSizeHelper: '* 連接數, 每個線程排序的緩沖大小',
        readBufferSizeHelper: '* 連接數, 讀入緩沖區大小',
        readRndBufferSizeHelper: '* 連接數, 隨機讀取緩沖區大小',
        joinBufferSizeHelper: '* 連接數, 關聯表緩存大小',
        threadStackelper: '* 連接數, 每個線程的堆棧大小',
        binlogCacheSizeHelper: '* 連接數, 二進製日誌緩存大小(4096的倍數)',
        threadCacheSizeHelper: '線程池大小',
        tableOpenCacheHelper: '表緩存',
        maxConnectionsHelper: '最大連接數',
        restart: '重啟數據庫',

        log: '日誌',
        slowLog: '慢日誌',
        noData: '暫無慢日誌...',

        isOn: '開啟',
        longQueryTime: '閾值(秒)',
        thresholdRangeHelper: '請輸入正確的閾值(1 - 600)',

        timeout: '超時時間',
        timeoutHelper: '空閑連接超時時間，0表示不斷開',
        maxclients: '最大連接數',
        requirepassHelper: '留空代表沒有設置密碼，修改需要單獨保存並且重啟容器！',
        databases: '數據庫數量',
        maxmemory: '最大內存使用',
        maxmemoryHelper: '0 表示不做限製',
        tcpPort: '當前監聽端口',
        uptimeInDays: '已運行天數',
        connectedClients: '連接的客戶端數量',
        usedMemory: '當前 Redis 使用的內存大小',
        usedMemoryRss: '向操作系统申請的內存大小',
        usedMemoryPeak: 'Redis 的內存消耗峰值',
        memFragmentationRatio: '內存碎片比率',
        totalConnectionsReceived: '運行以來連接過的客戶端的總數量',
        totalCommandsProcessed: '運行以來執行過的命令的總數量',
        instantaneousOpsPerSec: '服務器每秒鐘執行的命令數量',
        keyspaceHits: '查找數據庫鍵成功的次數',
        keyspaceMisses: '查找數據庫鍵失敗的次數',
        hit: '查找數據庫鍵命中率',
        latestForkUsec: '最近一次 fork() 操作耗費的微秒數',
        redisCliHelper: '未檢測到 redis-cli 服務，請先啟用服務！',
        redisQuickCmd: 'Redis 快速命令',

        recoverHelper: '即將使用 [{0}] 對數據進行覆蓋，是否繼續?',
        submitIt: '覆蓋數據',

        baseConf: '基礎配置',
        allConf: '全部配置',
        restartNow: '立即重啟',
        restartNowHelper1: '修改配置後需要重啟生效，若您的數據需要持久化請先執行 save 操作。',
        restartNowHelper: '修改配置後需要重啟生效。',

        persistence: '持久化',
        rdbHelper1: '秒內,插入',
        rdbHelper2: '條數據',
        rdbHelper3: '符合任意一個條件將會觸發RDB持久化',
        rdbInfo: '請確認規則列表中值在 1-100000 之間',

        containerConn: '容器連接',
        connAddress: '地址',
        connPort: '端口',
        containerConnHelper: 'PHP 執行環境/容器安裝的應用程式使用此連接地址',
        remoteConn: '外部連接',
        remoteConnHelper2: '非容器或外部連接使用此地址',
        localIP: '本機 IP',
    },
    container: {
        create: '創建容器',
        edit: '編輯容器',
        updateContainerHelper: '容器編輯需要重建容器，任何未持久化的數據將會丟失，是否繼續？',
        containerList: '容器列表',
        operatorHelper: '將對以下容器進行 {0} 操作，是否繼續？',
        operatorAppHelper:
            '將對以下容器進行 {0} 操作，\n其中部分來源於應用商店，該操作可能會影響到該服務的正常使用。\n是否確認？',
        start: '啟動',
        stop: '停止',
        restart: '重啟',
        kill: '強製停止',
        pause: '暫停',
        unpause: '恢復',
        rename: '重命名',
        remove: '刪除',
        removeAll: '删除所有',
        containerPrune: '清理容器',
        containerPruneHelper1: '清理容器 將刪除所有處於停止狀態的容器。',
        containerPruneHelper2:
            '若容器來自於應用商店，在執行清理操作後，您需要前往 [應用商店] 的 [已安裝] 列表，點擊 [重建] 按鈕進行重新安裝。',
        containerPruneHelper3: '該操作無法回滾，是否繼續？',
        imagePrune: '清理鏡像',
        imagePruneSome: '未標簽鏡像',
        imagePruneSomeEmpty: '暫無待清理的未使用 none 標簽鏡像',
        imagePruneSomeHelper: '清理下列標簽為 none 且未被任何容器使用的鏡像',
        imagePruneAll: '未使用鏡像',
        imagePruneAllEmpty: '暫無待清理的未使用鏡像',
        imagePruneAllHelper: '清理下列未被任何容器使用的鏡像',
        networkPrune: '清理網絡',
        networkPruneHelper: '清理網絡 將刪除所有未被使用的網絡，該操作無法回滾，是否繼續？',
        volumePrune: '清理存儲卷',
        volumePruneHelper: '清理存儲卷 將刪除所有未被使用的本地存儲卷，該操作無法回滾，是否繼續？',
        cleanSuccess: '操作成功，本次清理數量: {0} 個！',
        cleanSuccessWithSpace: '操作成功，本次清理數量: {0} 個，釋放磁盤空間: {1}！',
        container: '容器',
        unExposedPort: '當前端口映射地址為 127.0.0.1，無法實現外部訪問',
        upTime: '運行時長',
        all: '全部',
        fetch: '過濾',
        lines: '條數',
        linesHelper: '請輸入正確的日誌獲取條數！',
        lastDay: '最近一天',
        last4Hour: '最近 4 小時',
        lastHour: '最近 1 小時',
        last10Min: '最近 10 分鐘',
        cleanLog: '清空日誌',
        downLogHelper1: '即將下載 {0} 容器所有日誌，是否繼續？',
        downLogHelper2: '即將下載 {0} 容器最近 {1} 條日誌，是否繼續？',
        cleanLogHelper: '清空日誌需要重啟容器，該操作無法回滾，是否繼續？',
        newName: '新名稱',
        source: '資源使用率',
        cpuUsage: 'CPU 使用',
        cpuTotal: 'CPU 總計',
        core: '核心數',
        memUsage: '內存使用',
        memTotal: '內存限額',
        memCache: '緩存使用',
        ip: 'IP 地址',
        cpuShare: 'CPU 權重',
        cpuShareHelper: '容器默認份額為 1024 個 CPU，增大可使當前容器獲得更多的 CPU 時間',
        inputIpv4: '請輸入 IPv4 地址',
        inputIpv6: '請輸入 IPv6 地址',

        containerFromAppHelper: '檢測到該容器來源於應用商店，應用操作可能會導致當前編輯失效',
        containerFromAppHelper1: '在已安裝應用程式列表點擊 `參數` 按鈕，進入編輯頁面即可修改容器名稱。',
        command: '命令',
        console: '控製臺交互',
        tty: '偽終端 ( -t )',
        openStdin: '標準輸入 ( -i )',
        custom: '自定義',
        containerTerminal: '終端',
        emptyUser: '為空時，將使用容器默認的用戶登錄',
        privileged: '特權模式',
        privilegedHelper: '允許容器在主機上執行某些特權操作，可能會增加容器風險，請謹慎開啟！',

        upgradeHelper: '倉庫名稱/鏡像名稱:鏡像版本',
        upgradeWarning2: '升級操作需要重建容器，任何未持久化的數據將會丟失，是否繼續？',
        oldImage: '當前鏡像',
        targetImage: '目標鏡像',
        imageLoadErr: '未檢測到容器的鏡像名稱',
        appHelper: '該容器來源於應用商店，升級可能導致該服務不可用',

        input: '手動輸入',
        forcePull: '強製拉取鏡像',
        forcePullHelper: '忽略服務器已存在的鏡像，重新拉取一次',
        server: '服務器',
        serverExample: '80, 80-88, ip:80 或者 ip:80-88',
        containerExample: '80 或者 80-88',
        exposePort: '暴露端口',
        exposeAll: '暴露所有',
        cmdHelper: "例： 'nginx' '-g' 'daemon off;' 或 nginx -g daemon off;",
        entrypointHelper: '例： /bin/sh -c',
        autoRemove: '容器退出後自動刪除容器',
        cpuQuota: 'CPU 限製',
        memoryLimit: '內存限製',
        limitHelper: '限製為 0 則關閉限製，最大可用為 {0}',
        mount: '掛載',
        volumeOption: '掛載卷',
        hostOption: '本機目錄',
        serverPath: '服務器目錄',
        containerDir: '容器目錄',
        volumeHelper: '請確認存儲卷內容輸入正確',
        modeRW: '讀寫',
        modeR: '只讀',
        mode: '權限',
        env: '環境變量',
        restartPolicy: '重啟規則',
        always: '一直重啟',
        unlessStopped: '未手動停止則重啟',
        onFailure: '失敗後重啟（默認重啟 5 次）',
        no: '不重啟',

        monitor: '監控',
        refreshTime: '刷新間隔',
        cache: '緩存',

        image: '鏡像',
        imagePull: '拉取鏡像',
        imagePush: '推送鏡像',
        imageDelete: '刪除鏡像',
        imageDeleteTag: '刪除 Tag',
        imageTagDeleteHelper: '移除與該映像 ID 相關聯的其他標籤',
        repoName: '倉庫名',
        imageName: '鏡像名',
        httpRepo: 'http 倉庫添加授信需要重啟 docker 服務',
        delInsecure: '刪除授信',
        delInsecureHelper: '刪除授信需要重啟 docker 服務，是否刪除？',
        pull: '拉取',
        path: '路徑',
        importImage: '導入鏡像',
        imageBuild: '構建鏡像',
        build: '構建鏡像',
        pathSelect: '路徑選擇',
        label: '標簽',
        imageTag: '鏡像標簽',
        push: '推送',
        fileName: '文件名',
        export: '導出',
        exportImage: '導出鏡像',
        version: '版本',
        size: '大小',
        from: '來源',
        tag: '標簽',
        tagHelper: '一行一個，例： \nkey1=value1\nkey2=value2',
        imageNameHelper: '鏡像名稱及 Tag，例：nginx:latest',
        cleanBuildCache: '清理建置快取',
        delBuildCacheHelper: '清理建置快取將刪除所有建置所產生的快取，此操作無法回復。是否繼續？',
        urlWarning: '路徑前綴不需要添加 http:// 或 https://，請修改',

        network: '網絡',
        createNetwork: '創建網絡',
        networkName: '網絡名',
        driver: '模式',
        option: '參數',
        attachable: '可用',
        subnet: '子網',
        scope: 'IP 範圍',
        gateway: '網關',
        auxAddress: '排除 IP',

        volume: '存儲卷',
        volumeDir: '存儲卷目錄',
        nfsEnable: '啟用 NFS 存儲',
        nfsAddress: '地址',
        mountpoint: '掛載點',
        mountpointNFSHelper: '例：/nfs, /nfs-share',
        options: '可選參數',
        createVolume: '創建存儲卷',

        repo: '倉庫',
        createRepo: '添加倉庫',
        downloadUrl: '下載地址',
        imageRepo: '鏡像倉庫',
        repoHelper: '是否包含鏡像倉庫/組織/項目?',
        auth: '認證',
        mirrorHelper:
            '當存在多個加速器時，需要換行顯示，例： \nhttp://xxxxxx.m.daocloud.io \nhttps://xxxxxx.mirror.aliyuncs.com',
        registrieHelper: '當存在多個私有倉庫時，需要換行顯示，例：\n172.16.10.111:8081 \n172.16.10.112:8081',

        compose: '編排',
        fromChangeHelper: '切換來源將清空當前已編輯內容，是否繼續？',
        composePathHelper: '配置文件保存路徑: {0}',
        composeHelper: '通過 1Panel 編輯或者模版創建的編排，將保存在 {0}/docker/compose 路徑下',
        deleteFile: '刪除文件',
        deleteComposeHelper: '刪除 {0} 目录下所有文件，包括該文件下的持久化文件等，請謹慎操作！',
        deleteCompose: '" 刪除此編排',
        apps: '應用商店',
        local: '本地',
        createCompose: '創建編排',
        template: '模版',
        composeTemplate: '編排模版',
        createComposeTemplate: '創建編排模版',
        description: '描述',
        content: '內容',
        contentEmpty: '編排內容不能為空，請輸入後重試！',
        containerNumber: '容器數量',
        down: '刪除',
        up: '啟動',
        composeDetailHelper: '該 compose 為 1Panel 編排外部創建。暫不支持啟停操作。',
        composeOperatorHelper: '將對 {0} 進行 {1} 操作，是否繼續？',

        setting: '配置',
        operatorStatusHelper: '此操作將{0}Docker 服務，是否繼續？',
        dockerStatus: 'Docker 服務',
        daemonJsonPathHelper: '請保證配置路徑與 docker.service 中指定的配置路徑保持一致。',
        mirrors: '鏡像加速',
        mirrorsHelper: '優先使用加速 URL 執行操作，設置為空則取消鏡像加速。',
        mirrorsHelper2: '具體操作配置請參照官方文檔',
        registries: '私有倉庫',
        ipv6Helper: '開啟 IPv6 後，需要增加 IPv6 的容器網路，具體操作配置請參照官方文檔',
        ipv6CidrHelper: '容器的 IPv6 地址池範圍',
        ipv6TablesHelper: 'Docker IPv6 對 iptables 規則的自動配置',
        experimentalHelper: '開啟 ip6tables 必須開啟此配置，否則 ip6tables 會被忽略',
        cutLog: '日誌切割',
        cutLogHelper1: '當前配置只會影響新創建的容器；',
        cutLogHelper2: '已經創建的容器需要重新創建使配置生效；',
        cutLogHelper3:
            '註意，重新創建容器可能會導致數據丟失。如果你的容器中有重要數據，確保在執行重建操作之前進行備份。',
        maxSize: '文件大小',
        maxFile: '保留份數',
        liveHelper: '允許在 Docker 守護進程發生意外停機或崩潰時保留正在運行的容器狀態',
        liveWithSwarmHelper: 'live-restore 守護進程配置與 Swarm 模式不兼容',
        iptablesDisable: '關閉 iptables',
        iptablesHelper1: 'Docker 對 iptables 規則的自動配置',
        iptablesHelper2: '關閉 iptables 會導致容器無法與外部網絡通信。',
        daemonJsonPath: '配置路徑',
        serviceUnavailable: '當前未啟動 Docker 服務，請在',
        startIn: '中開啟',
        sockPath: 'Socket 路徑',
        sockPathHelper: 'Docker 守護進程（Docker Daemon）與客戶端之間的通信通道',
        sockPathHelper1: '默認路徑：/var/run/docker-x.sock',
        sockPathMsg: '保存設定 Socket 路徑可能導致 Docker 服務不可用，是否繼續？',
        sockPathErr: '請選擇或輸入正確的 Docker sock 文件路徑',
        related: '相關資源',
        includeAppstore: '顯示應用程式商店容器',

        cleanDockerDiskZone: '清理 Docker 使用的磁碟空間',
        cleanImagesHelper: '( 清理所有未被任何容器使用的鏡像 )',
        cleanContainersHelper: '( 清理所有處於停止狀態的容器 )',
        cleanVolumesHelper: '( 清理所有未被使用的本地存儲卷 )',

        makeImage: '製作鏡像',
        newImageName: '新鏡像名稱',
        commitMessage: '提交信息',
        author: '作者',
        ifPause: '製作過程中是否暫停容器',
        ifMakeImageWithContainer: '是否根據此容器製作新鏡像？',
    },
    cronjob: {
        create: '創建計劃任務',
        edit: '編輯計劃任務',
        cronTask: '計劃任務',
        changeStatus: '狀態修改',
        disableMsg: '停止計劃任務會導致該任務不再自動執行。是否繼續？',
        enableMsg: '啟用計劃任務會讓該任務定期自動執行。是否繼續？',
        taskType: '任務類型',
        record: '報告',
        shell: 'Shell 腳本',
        log: '備份日誌',
        logHelper: '備份系統日誌',
        logHelper1: '1. 1Panel 系統日誌',
        logHelper2: '2. 服務器的 SSH 登錄日誌',
        logHelper3: '3. 所有網站日誌',
        containerCheckBox: '在容器中執行（無需再輸入進入容器命令）',
        containerName: '容器名稱',
        ntp: '同步服務器時間',
        ntp_helper: '您可以在工具箱的快速設定頁面配置 NTP 伺服器',
        app: '備份應用',
        website: '備份網站',
        rulesHelper: '當存在多個壓縮排除規則時，需要換行顯示，例：\n*.log \n*.sql',
        lastRecordTime: '上次執行時間',
        database: '備份數據庫',
        missBackupAccount: '未能找到備份賬號',
        syncDate: '同步時間 ',
        clean: '缓存清理',
        curl: '訪問 URL',
        taskName: '任務名稱',
        cronSpec: '執行周期',
        cronSpecHelper: '請輸入正確的執行周期',
        cleanHelper: '該操作將所有任務執行記錄、備份文件和日誌文件，是否繼續？',
        directory: '備份目錄',
        sourceDir: '備份目錄',
        snapshot: '系統快照',
        allOptionHelper: '當前計劃任務為備份所有【{0}】，暫不支持直接下載，可在【{0}】備份列表中查看',
        exclusionRules: '排除規則',
        exclusionRulesHelper: '排除規則將對此次備份的所有壓縮操作生效',
        default_download_path: '默認下載地址',
        saveLocal: '同時保留本地備份（和雲存儲保留份數一致）',
        url: 'URL 地址',
        targetHelper: '備份賬號可在面板設置中維護',
        retainCopies: '保留份數',
        retainCopiesHelper: '執行記錄及日誌保留份数',
        retainCopiesHelper1: '備份文件保留份数',
        retainCopiesUnit: ' 份 (查看)',
        cronSpecRule: '第 {0} 行中執行週期格式錯誤，請檢查後重試！',
        perMonth: '每月',
        perWeek: '每周',
        perHour: '每小時',
        perNDay: '每 N 日',
        perDay: '每天',
        perNHour: '每 N 時',
        perNMinute: '每 N 分鐘',
        perNSecond: '每 N 秒',
        per: '每',
        handle: '執行',
        day: '日',
        monday: '周一',
        tuesday: '周二',
        wednesday: '周三',
        thursday: '周四',
        friday: '周五',
        saturday: '周六',
        sunday: '周日',
        shellContent: '腳本內容',
        errRecord: '錯誤的日誌記錄',
        errHandle: '任務執行失敗',
        noRecord: '當前計劃任務暫未產生記錄',
        cleanData: '刪除備份文件',
        cleanDataHelper: '刪除該任務執行過程中產生的備份文件',
        noLogs: '暫無任務輸出...',
        errPath: '備份路徑 [{0}] 錯誤，無法下載！',
        cutWebsiteLog: '切割網站日誌',
        cutWebsiteLogHelper: '切割的日誌文件會備份到 1Panel 的 backup 目錄下',

        requestExpirationTime: '上傳請求過期時間（小時）',
        unitHours: '單位：小時',
    },
    monitor: {
        monitor: '監控',
        globalFilter: '全局過濾',
        enableMonitor: '監控狀態',
        storeDays: '保存天數',
        cleanMonitor: '清空監控記錄',

        avgLoad: '平均負載',
        loadDetail: '負載詳情',
        resourceUsage: '資源使用率',
        networkCard: '網卡',
        read: '讀取',
        write: '寫入',
        readWriteCount: '讀寫次數',
        readWriteTime: '讀寫延遲',
        today: '今天',
        yesterday: '昨天',
        lastNDay: '近 {0} 天',
        memory: '內存',
        cache: '緩存',
        disk: '磁盤',
        network: '網絡',
        up: '上行',
        down: '下行',
        interval: '采集間隔（分鐘）',

        gpuUtil: 'GPU 使用率',
        temperature: '溫度',
        performanceState: '性能狀態',
        powerUsage: '功耗',
        memoryUsage: '顯存使用率',
        fanSpeed: '風扇轉速',
    },
    terminal: {
        conn: '連接',
        connLocalErr: '無法自動認證，請填寫本地服務器的登錄信息！',
        testConn: '連接測試',
        saveAndConn: '保存並連接',
        connTestOk: '連接信息可用',
        connTestFailed: '連接不可用，請檢查連接信息！',
        host: '主機',
        createConn: '新建連接',
        group: '分組',
        noHost: '暫無主機',
        groupChange: '切換分組',
        expand: '全部展開',
        fold: '全部收縮',
        batchInput: '批量輸入',
        quickCommand: '快速命令',
        quickCommandHelper: '常用命令列表，用於在終端界面底部快速選擇',
        groupDeleteHelper: '移除組後，組內所有連接將遷移到 default 組內，是否繼續？',
        command: '命令',
        addHost: '添加主機',
        localhost: '本地服務器',
        ip: '主機地址',
        authMode: '認證方式',
        passwordMode: '密碼認證',
        rememberPassword: '記住認證資訊',
        keyMode: '私鑰認證',
        key: '私鑰',
        keyPassword: '私鑰密碼',
        emptyTerminal: '暫無終端連接',
    },
    toolbox: {
        swap: {
            swap: 'Swap',
            swapHelper1: 'Swap 的大小應該是物理內存的 1 到 2 倍，可根據具體情況進行調整；',
            swapHelper2: '在創建 Swap 文件之前，請確保系統硬盤有足夠的可用空間，Swap 文件的大小將佔用相應的磁盤空間；',
            swapHelper3:
                'Swap 可以幫助緩解內存壓力，但僅是一個備選項，過多依賴可能導致系統性能下降，建議優先考慮增加內存或者優化應用程序內存使用；',
            swapHelper4: '建議定期監控 Swap 的使用情況，以確保系統正常運行。',
            swapDeleteHelper: '此操作將移除 Swap 分區 {0}，出於系統安全考慮，不會自動刪除該文件，如需刪除請手動操作！',
            saveHelper: '請先保存當前設置！',
            saveSwap: '儲存當前配置將調整 Swap 分區 {0} 大小到 {1}，是否繼續？',
            swapMin: '分區大小最小值為 40 KB，請修改後重試！',
            swapMax: '分區大小最大值為 {0}，請修改後重試！',
            swapOff: '分區大小最小值為 40 KB，設置為 0 則關閉 Swap 分區。',
        },
        device: {
            dnsHelper: '伺服器地址域名解析',
            dnsAlert: '請注意！修改 /etc/resolv.conf 文件的配置時，重啟系統後會將文件恢復為預設值',
            dnsHelper1: '當存在多個DNS時，需換行顯示，例：\n114.114.114.114\n8.8.8.8',
            hostsHelper: '主機名解析',
            hosts: '域名',
            hostAlert: '隱藏了已註釋的記錄，請點擊 全部配置 按鈕以查看或設置',
            toolbox: '快速設置',
            hostname: '主機名',
            passwd: '系統密碼',
            passwdHelper: '輸入的字符不能包含 $ 和 &',
            timeZone: '系統時區',
            localTime: '伺服器時間',
            timeZoneChangeHelper: '修改系統時區需要重新啟動服務，是否繼續？',
            timeZoneHelper: '時區修改依賴於 timedatectl 命令，如未安裝可能導致修改失敗',
            timeZoneCN: '北京',
            timeZoneAM: '洛杉磯',
            timeZoneNY: '紐約',
            ntpALi: '阿里',
            ntpGoogle: '谷歌',
            syncSite: 'NTP 伺服器',
            syncSiteHelper: '該操作將使用 {0} 作為源進行系統時間同步，是否繼續？',
            hostnameHelper: '主機名修改依賴於 hostnamectl 命令，如未安裝可能導致修改失敗',
            userHelper: '用戶名依賴於 whoami 命令獲取，如未安裝可能導致獲取失敗。',
            passwordHelper: '密碼修改依賴於 chpasswd 命令，如未安裝可能導致修改失敗',
            hostHelper: '填寫的內容中存在空值，請檢查修改後重試！',
            dnsCheck: '測試可用性',
            dnsOK: 'DNS 配置信息可用！',
            dnsTestFailed: 'DNS 配置信息不可用，請修改後重試！',
        },
        fail2ban: {
            sshPort: '監聽 SSH 端口',
            sshPortHelper: '當前 Fail2ban 監聽主機 SSH 連接端口',
            noFail2ban: '未檢測到 Fail2ban 服務，請參考官方文檔進行安裝！',
            unActive: '當前未開啟 Fail2ban 服務，請先開啟！',
            operation: '對 Fail2ban 服務進行 [{0}] 操作，是否繼續？',
            fail2banChange: 'Fail2ban 配置修改',
            ignoreHelper: '白名單中的 IP 列表將被忽略屏蔽，是否繼續？',
            bannedHelper: '黑名單中的 IP 列表將被伺服器屏蔽，是否繼續？',
            banTimeRule: '請輸入正確的禁用時間或 -1',
            banAllTime: '永久禁用',
            maxRetry: '最大重試次數',
            banTime: '禁用時間',
            banTimeHelper: '默認禁用時間為 10 分鐘，禁用時間為 -1 則表示永久禁用',
            findTime: '發現周期',
            banAction: '禁用方式',
            banActionOption: '通過 {0} 來禁用指定的 IP 地址',
            allPorts: ' (所有端口)',
            ignoreIP: 'IP 白名單',
            bannedIP: 'IP 黑名單',
            logPath: '日誌路徑',
            logPathHelper: '預設為 /var/log/secure 或者 /var/log/auth.log',
        },
        ftp: {
            ftp: 'FTP 帳戶',
            noFtp: '未檢測到 FTP (pure-ftpd) 服務，請參考官方文檔進行安裝！',
            operation: '對 FTP 服務進行 [{0}] 操作，是否繼續？',
            noPasswdMsg: '無法獲取當前 FTP 賬號密碼，請先設置密碼後重試！',
            enableHelper: '啟用選取的 FTP 帳號後，該 FTP 帳號將恢復訪問權限，是否繼續操作？',
            disableHelper: '停用選取的 FTP 帳號後，該 FTP 帳號將失去訪問權限，是否繼續操作？',
            syncHelper: '同步伺服器與資料庫中的 FTP 帳戶資料，是否繼續操作？',
        },
        clam: {
            clam: '病毒掃描',
            showFresh: '顯示病毒庫服務',
            hideFresh: '隱藏病毒庫服務',
            clamHelper:
                'ClamAV 的最低建議配置為：3 GiB 以上的 RAM，2.0 GHz 以上的單核 CPU，以及至少 5 GiB 的可用硬盤空間。',
            noClam: '未檢測到 ClamAV 服務，請參考官方文檔進行安裝！',
            notStart: '當前未 ClamAV 服務，請先開啟！',
            removeRecord: '刪除報告文件',
            removeResultHelper: '刪除任務執行過程中生成的報告文件，以清理存儲空間。',
            removeInfected: '刪除病毒文件',
            removeInfectedHelper: '刪除任務檢測到的病毒文件，以確保伺服器的安全和正常運行。',
            clamCreate: '創建掃描規則',
            infectedStrategy: '感染文件策略',
            remove: '刪除',
            removeHelper: '刪除病毒文件，請謹慎選擇！',
            move: '移動',
            moveHelper: '將病毒文件移動到指定目錄下',
            copy: '複製',
            copyHelper: '將病毒文件複製到指定目錄下',
            none: '不操作',
            noneHelper: '不對病毒文件採取任何操作',
            scanDir: '掃描目錄',
            infectedDir: '隔離目錄',
            scanDate: '掃描時間',
            scanResult: '掃描報告條數',
            tail: '日誌顯示行數',
            scanTime: '耗時',
            infectedFiles: '感染文件數',
            log: '詳情',
            clamConf: '掃描配置',
            clamLog: '掃描日誌',
            freshClam: '病毒庫刷新配置',
            freshClamLog: '病毒庫刷新日誌',
        },
    },
    logs: {
        panelLog: '面板日誌',
        operation: '操作日誌',
        login: '訪問日誌',
        loginIP: '登錄 IP',
        loginAddress: '登錄地址',
        loginAgent: '用戶代理',
        loginStatus: '登錄狀態',
        system: '系統日誌',
        deleteLogs: '清空日誌',
        resource: '資源',
        operate: '操作',
        detail: {
            groups: '分組',
            hosts: '主機',
            apps: '應用',
            websites: '網站',
            containers: '容器',
            files: '文件管理',
            runtimes: '運行環境',
            process: '進程管理',
            toolbox: '工具箱',
            logs: '日誌審計',
            settings: '面板設置',
            cronjobs: '計劃任務',
            databases: '數據庫',
        },
        websiteLog: '網站日誌',
        runLog: '運行日誌',
        errLog: '錯誤日誌',
    },
    file: {
        dir: '文件夾',
        upload: '上傳',
        download: '下載',
        fileName: '文件名',
        search: '在當前目錄下查找',
        mode: '權限',
        owner: '所有者',
        file: '文件',
        remoteFile: '遠程下載',
        share: '分享',
        sync: '數據同步',
        size: '大小',
        updateTime: '修改時間',
        open: '打開',
        rename: '重命名',
        role: '權限',
        info: '屬性',
        linkFile: '軟連接文件',
        terminal: '終端',
        shareList: '分享列表',
        zip: '壓縮',
        group: '用戶組',
        path: '路徑',
        public: '公共',
        setRole: '設置權限',
        link: '是否鏈接',
        rRole: '讀取',
        wRole: '寫入',
        xRole: '可執行',
        compress: '壓縮',
        deCompress: '解壓',
        compressType: '壓縮格式',
        compressDst: '壓縮路徑',
        replace: '覆蓋已存在的文件',
        compressSuccess: '壓縮成功',
        deCompressSuccess: '解壓成功',
        deCompressDst: '解壓路徑',
        linkType: '鏈接類型',
        softLink: '軟鏈接',
        hardLink: '硬鏈接',
        linkPath: '鏈接路徑',
        selectFile: '選擇文件',
        downloadSuccess: '下載成功',
        downloadUrl: '下載地址',
        downloadStart: '下載開始!',
        moveSuccess: '移動成功',
        copySuccess: '復製成功',
        move: '移動',
        copy: '復製',
        calculate: '計算',
        canNotDeCompress: '無法解壓此文件',
        uploadSuccess: '上傳成功!',
        downloadProcess: '下載進度',
        downloading: '正在下載...',
        infoDetail: '文件屬性',
        root: '根目錄',
        list: '文件列表',
        sub: '子目錄',
        theme: '主題',
        language: '語言',
        eol: '行尾符',
        copyDir: '復製路徑',
        paste: '粘貼',
        cancel: '取消',
        changeOwner: '修改用戶和用戶組',
        containSub: '同時修改子文件屬性',
        ownerHelper: 'PHP 運行環境默認用戶:用戶組為 1000:1000, 容器內外用戶顯示不一致為正常現象',
        searchHelper: '支持 * 等通配符',
        uploadFailed: '【{0}】 文件上傳失敗',
        fileUploadStart: '正在上傳【{0}】....',
        currentSelect: '當前選中: ',
        unsupportedType: '不支持的文件類型',
        deleteHelper: '確定刪除所選檔案？ 預設刪除之後將進入回收站？',
        fileHeper: '注意：1. 搜尋結果不支援排序功能 2. 資料夾無法依大小排序。',
        forceDeleteHelper: '永久刪除檔案（不進入回收站，直接刪除）',
        recycleBin: '回收站',
        sourcePath: '原路徑',
        deleteTime: '刪除時間',
        confirmReduce: '確定還原以下文件？',
        reduceSuccess: '還原成功',
        reduce: '還原',
        reduceHelper: '如果原路徑存在同名檔案或目錄，將會被覆蓋，是否繼續？',
        clearRecycleBin: '清空回收站',
        clearRecycleBinHelper: '是否清空回收站？',
        favorite: '收藏夾',
        removeFavorite: '是否從收藏夾移出？',
        addFavorite: '加入收藏夾',
        clearList: '清空列表',
        deleteRecycleHelper: '確定永久刪除以下文件？',
        typeErrOrEmpty: '【{0}】 檔案類型錯誤或為空資料夾',
        dropHelper: '將需要上傳的文件拖曳到此處',
        fileRecycleBin: '檔案回收站',
        fileRecycleBinMsg: '已{0}回收站',
        wordWrap: '自動換行',
        deleteHelper2: '確定刪除所選檔案？ 刪除操作不可回滾',
        ignoreCertificate: '忽略不可信證書',
        ignoreCertificateHelper:
            '下載時忽略不可信證書可能導致數據洩露或篡改。請謹慎使用此選項，僅在信任下載源的情況下啟用',
        uploadOverLimit: '文件數量超過 1000！ 請壓縮後上傳',
        clashDitNotSupport: '檔名禁止包含 .1panel_clash',
        clashDeleteAlert: '回收站資料夾不能刪除',
        clashOpenAlert: '回收站目錄請點選【回收站】按鈕開啟',
        right: '前進',
        back: '後退',
        top: '返回上一層',
        refresh: '重新整理',
        up: '上一層',
        openWithVscode: 'VS Code 打開',
        vscodeHelper: '請確保本地已安裝 VS Code 並配置了 SSH Remote 插件',
        saveContentAndClose: '檔案已被修改，是否保存並關閉？',
        saveAndOpenNewFile: '檔案已被修改，是否保存並打開新檔案？',
        noEdit: '檔案未修改，無需此操作！',
        noNameFolder: '未命名資料夾',
        noNameFile: '未命名檔案',
    },
    ssh: {
        autoStart: '開機自啟',
        enable: '設置開機自啟',
        disable: '關閉開機自啟',
        sshAlert: '列表數據根據登錄時間排序，但請註意，切換時區或其他操作可能導致登錄日誌的時間出現偏差。',
        sshAlert2: '您可以通过工具箱中的 Fail2ban 屏蔽尝试暴力破解的 IP 地址，从而提高主机的安全性。',
        sshOperate: '對 SSH 服務進行 [{0}] 操作，是否繼續？',
        sshChange: 'SSH 配置修改',
        sshChangeHelper: '此操作將 {0} 修改為 [{1}] ，是否繼續？',
        sshFileChangeHelper: '直接修改配置文件可能會導致服務不可用，請謹慎操作，是否繼續？',
        port: '連接端口',
        portHelper: '指定 SSH 服務監聽的端口號，默認為 22。',
        listenAddress: '監聽地址',
        allV4V6: '0.0.0.0:{0}(IPv4)和 :::{0}(IPv6)',
        listenHelper: '同時取消 IPv4 和 IPv6 設置，將會同時監聽 0.0.0.0:{0}(IPv4) 和 :::{0}(IPv6)',
        addressHelper: '指定 SSH 服務監聽的 IP 地址',
        permitRootLogin: 'root 用戶',
        rootSettingHelper: 'root 用戶 SSH 登錄方式，默認所有 SSH 登錄。',
        rootHelper1: '允許 SSH 登錄',
        rootHelper2: '禁止 SSH 登錄',
        rootHelper3: '僅允許密鑰登錄',
        rootHelper4: '僅允許執行預先定義的命令，不能進行其他操作',
        passwordAuthentication: '密碼認證',
        pwdAuthHelper: '是否啟用密碼認證，默認啟用。',
        pubkeyAuthentication: '密鑰認證',
        key: '密鑰',
        password: '密碼',
        pubkey: '密鑰信息',
        encryptionMode: '加密方式',
        passwordHelper: '支持大小寫英文、數字,長度6-10',
        generate: '生成密鑰',
        reGenerate: '重新生成密鑰',
        keyAuthHelper: '是否啟用密鑰認證，默認啟用。',
        useDNS: '反向解析',
        dnsHelper: '控製 SSH 服務器是否啟用 DNS 解析功能，從而驗證連接方的身份。',
        analysis: '統計信息',
        denyHelper: '將對下列地址進行【屏蔽】操作，設置後該 IP 將禁止訪問服務器，是否繼續？',
        acceptHelper: '將對下列地址進行【放行】操作，設置後該 IP 將恢復正常訪問，是否繼續？',
        noAddrWarning: '當前未選中任何可【{0}】地址，請檢查後重試！',
        successful: '成功',
        failed: '失敗',
        loginLogs: 'SSH 登錄日誌',
        loginMode: '登錄方式',
        authenticating: '密鑰',
        publickey: '密鑰',
        belong: '歸屬地',
        local: '內網',
        remote: '外網',
        config: '配置',
        session: '會話',
        loginTime: '登錄時間',
        loginIP: '登錄IP',
        disconnect: '斷開',
        stopSSHWarn: '是否斷開此SSH連接',
    },
    setting: {
        all: '全部',
        panel: '面板',
        user: '面板用户',
        userChange: '修改面板用户',
        userChangeHelper: '修改面板用户将退出登录，是否继续？',
        passwd: '面板密码',
        emailHelper: '用於密碼找回',
        title: '面板別名',
        panelPort: '面板端口',
        titleHelper: '支援非特殊字符開頭，英文、中文、數字、空格、.-和_, 長度3-30',
        portHelper: '建議端口範圍8888 - 65535，註意：有安全組的服務器請提前在安全組放行新端口',
        portChange: '端口修改',
        portChangeHelper: '服務端口修改需要重啟服務，是否繼續？',
        theme: '主題顏色',
        menuTabs: '菜單標簽頁',
        componentSize: '組件大小',
        dark: '暗色',
        darkGold: '黑金',
        light: '亮色',
        auto: '跟隨系統',
        language: '系統語言',
        languageHelper: '默認跟隨瀏覽器語言，設置後只對當前瀏覽器生效，更換瀏覽器後需要重新設置',
        sessionTimeout: '超時時間',
        sessionTimeoutError: '最小超時時間為 300 秒',
        sessionTimeoutHelper: '如果用戶超過 {0} 秒未操作面板，面板將自動退出登錄',
        systemIP: '伺服器地址',
        proxy: '代理伺服器',
        proxyHelper: '設置代理伺服器後，將在以下場景中生效：',
        proxyHelper1: '應用商店的安裝包下載和同步（專業版功能）',
        proxyHelper2: '系統版本升級及獲取更新說明（專業版功能）',
        proxyHelper3: '系統許可證的驗證和同步',
        proxyType: '代理類型',
        proxyUrl: '代理地址',
        proxyPort: '代理端口',
        proxyPasswdKeep: '記住密碼',
        systemIPWarning: '當前未設置服務器地址，請先在面板設置中設置！',
        systemIPWarning1: '當前服務器地址設置為 {0}，無法快速跳轉！',
        defaultNetwork: '默認網卡',
        changePassword: '密碼修改',
        oldPassword: '原密碼',
        newPassword: '新密碼',
        retryPassword: '確認密碼',
        noSpace: '輸入信息不能包括空格符號',
        duplicatePassword: '新密碼不能與原始密碼一致，請重新輸入！',
        diskClean: '缓存清理',
        developerMode: '預覽體驗計劃',
        developerModeHelper: '獲取 1Panel 的預覽版本，以分享有關新功能和更新的反饋',

        thirdParty: '第三方賬號',
        createBackupAccount: '添加 {0}',
        noTypeForCreate: '當前無可創建備份類型',
        LOCAL: '服務器磁盤',
        OSS: '阿裏雲 OSS',
        S3: '亞馬遜 S3 雲存儲',
        MINIO: 'MINIO',
        SFTP: 'SFTP',
        WebDAV: 'WebDAV',
        WebDAVAlist: 'WebDAV 連接 Alist 可參考官方文檔',
        OneDrive: '微軟 OneDrive',
        isCN: '世紀互聯',
        isNotCN: '國際版',
        client_id: '客戶端 ID',
        client_secret: '客戶端密鑰',
        redirect_uri: '重定向 URL',
        onedrive_helper: '自訂配置可參考官方文件',
        refreshTime: '令牌刷新時間',
        refreshStatus: '令牌刷新狀態',
        codeWarning: '當前授權碼格式錯誤，請重新確認！',
        backupDir: '備份目录',
        code: '授權碼',
        codeHelper:
            '請點擊獲取按鈕，然後登錄 OneDrive 復製跳轉鏈接中 code 後面的內容，粘貼到該輸入框中，具體操作可參考官方文檔。',
        loadCode: '獲取',
        COS: '騰訊雲 COS',
        ap_beijing_1: '北京一區',
        ap_beijing: '北京',
        ap_nanjing: '南京',
        ap_shanghai: '上海',
        ap_guangzhou: '廣州',
        ap_chengdu: '成都',
        ap_chongqing: '重慶',
        ap_shenzhen_fsi: '深圳金融',
        ap_shanghai_fsi: '上海金融',
        ap_beijing_fsi: '北京金融',
        ap_hongkong: '中國香港',
        ap_singapore: '新加坡',
        ap_mumbai: '孟買',
        ap_jakarta: '雅加達',
        ap_seoul: '首爾',
        ap_bangkok: '曼谷',
        ap_tokyo: '東京',
        na_siliconvalley: '硅谷（美西）',
        na_ashburn: '弗吉尼亞（美東）',
        na_toronto: '多倫多',
        sa_saopaulo: '聖保羅',
        eu_frankfurt: '法蘭克福',
        KODO: '七牛雲 Kodo',
        scType: '存儲類型',
        typeStandard: '標準存儲',
        typeStandard_IA: '低頻存儲',
        typeArchive: '歸檔存儲',
        typeDeep_Archive: '深度歸檔存儲',
        scStandard: '標準存儲，適用於實時訪問的大量熱點文件、頻繁的數據交互等業務場景。',
        scStandard_IA: '低頻存儲，適用於較低訪問頻率（例如平均每月訪問頻率1到2次）的業務場景，最少存儲30天。',
        scArchive: '歸檔存儲，適用於極低訪問頻率（例如半年訪問1次）的業務場景。',
        scDeep_Archive: '深度歸檔存儲，適用於極低訪問頻率（例如1年訪問1~2次）的業務場景。',
        archiveHelper: '歸檔存儲的文件無法直接下載，需要先在對應的雲服務商網站進行恢復操作，請謹慎使用！',
        backupAlert: '理論上只要雲廠商兼容 S3 協議，就可以用現有的亞馬遜 S3 雲存儲來備份，具體配置參考 ',
        domain: '加速域名',
        backupAccount: '備份賬號',
        loadBucket: '獲取桶',
        accountName: '賬戶名稱',
        accountKey: '賬戶密鑰',
        address: '地址',
        path: '路徑',
        backupJump: '未在當前備份列表中的備份檔案，請嘗試從檔案目錄中下載後導入備份。',

        snapshot: '快照',
        deleteHelper: '將刪除該快照的所有備份文件，包括第三方備份賬號中的文件。',
        status: '快照狀態',
        ignoreRule: '排除規則',
        ignoreHelper: '快照時將使用該規則對 1Panel 數據目錄進行壓縮備份，請謹慎修改。',
        ignoreHelper1: '一行一個，例： \n*.log\n/opt/1panel/cache',
        panelInfo: '寫入 1Panel 基礎信息',
        panelBin: '備份 1Panel 系統文件',
        daemonJson: '備份 Docker 配置文件',
        appData: '備份 1Panel 已安裝應用',
        panelData: '備份 1Panel 數據目錄',
        backupData: '備份 1Panel 本地備份目錄',
        compress: '製作快照文件',
        upload: '上傳快照文件',
        recoverDetail: '恢復詳情',
        createSnapshot: '創建快照',
        importSnapshot: '同步快照',
        recover: '恢復',
        lastRecoverAt: '上次恢復時間',
        lastRollbackAt: '上次回滾時間',
        reDownload: '重新下載備份文件',
        statusSuccess: '成功',
        statusFailed: '失敗',
        recoverErrArch: '不支援在不同伺服器架構之間進行快照恢復操作!',
        recoverErrSize: '檢測到目前磁碟空間不足，請檢查或清理後重試!',
        recoverHelper: '即將從快照 {0} 開始恢復，恢復前請確認以下資訊：',
        recoverHelper1: '恢復需要重新啟動 Docker 以及 1Panel 服務',
        recoverHelper2: '請確保伺服器磁碟空間充足 ( 快照檔案大小: {0}, 可用空間: {1} )',
        recoverHelper3: '請確保伺服器架構與建立快照伺服器架構資訊保持一致 (目前伺服器架構: {0} )',
        rollback: '回滾',
        rollbackHelper:
            '即將回滾本次恢復，回滾將替換所有本次恢復的檔案，過程中可能需要重新啟動 Docker 以及 1Panel 服務，是否繼續？',

        upgrading: '正在升級中，請稍候...',
        upgradeHelper: '升級操作需要重啟 1Panel 服務，是否繼續？',
        noUpgrade: '當前已經是最新版本',
        versionHelper: '1Panel 版本號命名規則為： [大版本].[功能版本].[Bug 修復版本]，例：',
        versionHelper1: 'v1.0.1 是 v1.0.0 之後的 Bug 修復版本',
        versionHelper2: 'v1.1.0 是 v1.0.0 之後的功能版本',
        upgradeCheck: '檢查更新',
        upgradeNotes: '更新內容',
        upgradeNow: '立即更新',
        source: '下載源',
        hasNewVersion: '有新版本',

        safe: '安全',
        bindInfo: '監聽地址',
        bindAll: '監聽所有',
        bindInfoHelper: '修改服務監聽地址或協議可能導致服務不可用，是否繼續？',
        ipv6: '監聽 IPv6',
        bindAddress: '監聽地址',
        entrance: '安全入口',
        showEntrance: '啟用概覽頁未開啟提醒',
        entranceHelper: '開啟安全入口後只能通過指定安全入口登錄面板',
        entranceError: '請輸入 5-116 位安全登錄入口，僅支持輸入數字或字母',
        entranceInputHelper: '安全入口設置為空時，則取消安全入口',
        randomGenerate: '隨機生成',
        expirationTime: '密碼過期時間',
        unSetting: '未設置',
        noneSetting: '為面板密碼設置過期時間，過期後需要重新設置密碼',
        expirationHelper: '密碼過期時間為 [0] 天時，則關閉密碼過期功能',
        days: '過期天數',
        expiredHelper: '當前密碼已過期，請重新修改密碼：',
        timeoutHelper: '【 {0} 天後 】面板密碼即將過期，過期後需要重新設置密碼',
        complexity: '密碼復雜度驗證',
        complexityHelper: '開啟後密碼必須滿足長度為 8-30 位，並包含字母、數字、至少兩種特殊字符',
        bindDomain: '域名綁定',
        unBindDomain: '域名解綁',
        panelSSL: '面板 SSL',
        panelSSLHelper: '面板 SSL 自动续期后需要手动重启 1Panel 服务才可生效',
        unBindDomainHelper: '解除域名綁定可能造成系統不安全，是否繼續？',
        bindDomainHelper: '設置域名綁定後，僅能通過設置中域名訪問 1Panel 服務',
        bindDomainHelper1: '綁定域名為空時，則取消域名綁定',
        bindDomainWarning: '設置域名綁定後，將退出當前登錄，且僅能通過設置中域名訪問 1Panel 服務，是否繼續？',
        allowIPs: '授權 IP',
        unAllowIPs: '取消授權',
        unAllowIPsWarning: '授權 IP 為空將允許所有 IP 訪問系統，可能造成系統不安全，是否繼續？',
        allowIPsHelper: '設置授權 IP 後，僅有設置中的 IP 可以訪問 1Panel 服務',
        allowIPsWarning: '設置授權 IP 後，僅有設置中的 IP 可以訪問 1Panel 服務，是否繼續？',
        allowIPsHelper1: '授權 IP 為空時，則取消授權 IP',
        allowIPEgs: '當存在多個授權 IP 時，需要換行顯示，例： \n172.16.10.111 \n172.16.10.0/24',
        mfa: '兩步驗證',
        secret: '密鑰',
        mfaAlert: '兩步驗證密碼是基於當前時間生成，請確保服務器時間已同步',
        mfaHelper: '開啟後會驗證手機應用驗證碼',
        mfaHelper1: '下載兩步驗證手機應用 如:',
        mfaHelper2: '使用手機應用掃描以下二維碼，獲取 6 位驗證碼',
        mfaHelper3: '輸入手機應用上的 6 位數字',
        mfaCode: '驗證碼',
        mfaInterval: '刷新時間（秒）',
        mfaTitleHelper: '用於區分不同 1Panel 主機，修改後請重新掃描或手動添加密鑰信息！',
        mfaIntervalHelper: '修改刷新時間後，請重新掃描或手動添加密鑰信息！',
        sslChangeHelper: 'https 設置修改需要重啟服務，是否繼續？',
        sslDisable: '禁用',
        sslDisableHelper: '禁用 https 服務，需要重啟面板才能生效，是否繼續？',
        noAuthSetting: '未认证设置',
        noAuthSettingHelper: '當用戶未登錄且未正確輸入安全入口、授權 IP 或綁定域名時，此回應可以隱藏面板特徵。',
        responseSetting: '响应设置',
        help200: '幫助頁面',
        error400: '錯誤請求',
        error401: '未授權',
        error403: '禁止訪問',
        error404: '未找到',
        error408: '請求超時',
        error416: '無效請求',

        https: '為面板設置 https 協議訪問，提升面板訪問安全性',
        certType: '證書類型',
        selfSigned: '自簽名',
        selfSignedHelper: '自簽證書，不被瀏覽器信任，顯示不安全是正常現象',
        select: '選擇已有',
        domainOrIP: '域名或 IP：',
        timeOut: '過期時間：',
        rootCrtDownload: '根證書下載',
        primaryKey: '密鑰',
        certificate: '證書',

        about: '關於',
        project: '項目地址',
        issue: '問題反饋',
        doc: '官方文檔',
        star: '點亮 Star',
        description: 'Linux 服務器運維管理面板',
        forum: '論壇求助',
        doc2: '使用手冊',
        currentVersion: '當前運行版本：',

        license: '許可證',
        advancedMenuHide: '高級功能選單隱藏',
        showMainAdvancedMenu: '如果只保留 1 個選單，則側邊欄只會顯示高級功能主選單',
        showAll: '全部顯示',
        hideALL: '全部隱藏',
        ifShow: '是否顯示',
        menu: '選單',
        confirmMessage: '即將刷新頁面更新高級功能菜單列表，是否繼續？',
        compressPassword: '壓縮密碼',
        backupRecoverMessage: '請輸入壓縮或解壓縮密碼（留空則不設定）',
    },
    license: {
        community: '社區版：',
        community2: '社區版',
        pro: '專業版：',
        trial: '試用版',
        office: '正式版',
        trialInfo: '版本',
        authorizationId: '訂閱授權 ID',
        authorizedUser: '被授權方',
        expiresAt: '到期時間',
        productName: '產品名稱',
        productStatus: '產品狀態',
        Lost01: '失聯 * 1',
        Lost02: '失聯 * 2',
        Lost03: '已失聯',
        Enable: '已啟用',
        Disable: '未啟用',
        lostHelper: '許可證需要定時同步是否可用，請保證正常外網訪問，失聯三次後將解除許可證綁定',
        quickUpdate: '快速更新',
        import: '導入',
        power: '授 權',
        unbind: '解除綁定',
        unbindHelper: '解除綁定後將清除所有專業版相關設置，是否繼續？',
        importLicense: '導入許可證',
        importHelper: '請點擊或拖動許可文件到此處',
        technicalAdvice: '技術諮詢',
        advice: '諮詢',
        indefinitePeriod: '無限期',
        levelUpPro: '升級專業版',
        licenseSync: '許可證同步',
        knowMorePro: '了解更多',
        closeAlert: '當前頁面可在面板設置中關閉顯示',
        introduce: '功能介紹',
        waf: '升級專業版可以獲得攔截地圖、日誌、封鎖記錄、地理位置封禁、自定義規則、自定義攔截頁面等功能。',
        tamper: '升級專業版可以保護網站免受未經授權的修改或篡改。',
        gpu: '升級專業版可以幫助用戶實時直觀查看到 GPU 的工作負載、溫度、顯存等重要參數。',
        setting: '升級專業版可以自定義面板 Logo、歡迎簡介等信息。',
        monitor: '升級專業版可以查看網站的即時狀態、訪客趨勢、訪客來源、請求日誌等資訊。 ',
    },
    clean: {
        scan: '開始掃描',
        scanHelper: '輕鬆梳理 1Panel 運行期間積累的垃圾文件',
        clean: '立即清理',
        reScan: '重新掃描',
        cleanHelper: '已勾選文件及目錄清理後無法回滾（系統緩存文件清理需要重啟服務），是否繼續？',
        statusSuggest: '( 建議清理 )',
        statusClean: '( 很幹凈 )',
        statusEmpty: '非常幹凈，無需清理！',
        statusWarning: '( 謹慎操作 )',
        lastCleanTime: '上次清理時間: {0}',
        lastCleanHelper: '清理文件及目錄：{0} 個， 總計清理：{1}',
        cleanSuccessful: '清理成功！',
        currentCleanHelper: '本次清理文件及目錄：{0} 個， 總計清理：{1}',
        suggest: '( 建議清理 )',
        totalScan: '待清理垃圾文件共計： ',
        selectScan: '已選中垃圾文件共計： ',

        system: '系統垃圾',
        systemHelper: '快照、升級等過程中產生的臨時文件以及版本叠代過程中廢棄的文件內容',
        panelOriginal: '系統快照恢復前備份文件',
        upgrade: '系統升級備份文件',
        upgradeHelper: '( 建議保留最新的升級備份用於系統回滾 )',
        cache: '系統緩存文件',
        cacheHelper: '( 謹慎操作，清理需要重啟服務 )',
        snapshot: '系統快照臨時文件',
        snapshotTmp: '系統快照上傳臨時文件',
        snapshotLocal: '系統快照製作臨時文件',
        rollback: '恢復前備份目錄',
        unused: '系統廢棄目錄',
        oldUpgrade: '廢棄升級前備份目錄',
        oldOriginal: '廢棄快照恢復前備份目錄',
        oldAppsBak: '廢棄應用備份目錄',

        upload: '臨時上傳文件',
        uploadHelper: '系統上傳備份列表中上傳的臨時文件',
        download: '臨時下載文件',
        downloadHelper: '系統從第三方備份賬號下載的臨時文件',
        website: '網站',
        app: '應用',
        database: '數據庫',
        directory: '文件夾',

        systemLog: '系統日誌文件',
        systemLogHelper: '系統日誌信息、容器構建或鏡像拉取等日誌信息以及計劃任務中產生的日誌文件',
        dockerLog: '容器操作日誌文件',
        taskLog: '計劃任務執行日誌文件',
        shell: 'Shell 腳本計劃任務',
        containerShell: '容器內執行 Shell 腳本計劃任務',
        curl: 'CURL 計劃任務',

        containerTrash: '容器垃圾',
        images: '鏡像',
        containers: '容器',
        volumes: '存儲卷',
        buildCache: '容器建置快取',
    },
    app: {
        app: '應用',
        installName: '安裝名稱',
        installed: '已安裝',
        all: '全部',
        version: '版本',
        detail: '詳情',
        params: '參數',
        install: '安裝',
        author: '作者',
        source: '來源',
        sync: '同步',
        appName: '應用名稱',
        status: '狀態',
        container: '容器',
        restart: '重啟',
        start: '啟動',
        stop: '停止',
        rebuild: '重建',
        description: '描述',
        deleteWarn: '刪除操作會把所有數據和備份一並刪除，此操作不可回滾，是否繼續？',
        syncSuccess: '同步成功',
        canUpgrade: '可升級',
        backupName: '文件名稱',
        backupPath: '文件路徑',
        backupdate: '備份時間',
        update: '更新',
        versionSelect: '請選擇版本',
        operatorHelper: '將對選中應用進行 {0} 操作，是否繼續？',
        checkInstalledWarn: '未檢測到 {0} ,請進入應用商店點擊安裝！',
        gotoInstalled: '去安裝',
        search: '搜索',
        limitHelper: '該應用已安裝，不支持重復安裝',
        deleteHelper: '{0}已經關聯以下資源，無法刪除',
        checkTitle: '提示',
        website: '網站',
        database: '數據庫',
        defaultConfig: '默認配置',
        defaultConfigHelper: '已恢復為默認配置，保存後生效',
        forceDelete: '強製刪除',
        forceDeleteHelper: '強製刪除，會忽略刪除過程中產生的錯誤並最終刪除元數據',
        deleteBackup: '刪除備份',
        deleteBackupHelper: '同時刪除應用備份',
        deleteDB: '刪除數據庫',
        deleteDBHelper: '同時刪除與應用關聯的數據庫',
        noService: '無{0}',
        toInstall: '去安裝',
        param: '參數配置',
        syncAppList: '更新應用列表',
        alreadyRun: '已安裝',
        less1Minute: '小於1分鐘',
        appOfficeWebsite: '官方網站',
        github: '開源社區',
        document: '文檔說明',
        updatePrompt: '當前應用均為最新版本',
        installPrompt: '尚未安裝任何應用',
        updateHelper: '更新參數可能導致應用無法啟動，請提前備份並謹慎操作',
        updateWarn: '更新參數需要重建應用，是否繼續？',
        busPort: '服務端口',
        syncStart: '開始同步！請稍後刷新應用商店',
        advanced: '高級設置',
        cpuCore: '核心數',
        containerName: '容器名稱',
        containerNameHelper: '可以為空，為空自動生成',
        allowPort: '端口外部訪問',
        allowPortHelper: '允許端口外部訪問會放開防火墻端口',
        appInstallWarn: '應用端口默認不允許外部訪問，可以在下方高級設置中選擇放開',
        upgradeStart: '開始升級！請稍後刷新頁面',
        toFolder: '進入安裝目錄',
        editCompose: '編輯 compose 文件',
        editComposeHelper: '編輯 compose 文件可能導致軟件安裝失敗',
        composeNullErr: 'compose 不能為空',
        takeDown: '已廢棄',
        allReadyInstalled: '已安裝',
        installHelper: '配置鏡像加速可以解決鏡像拉取失敗的問題',
        upgradeHelper: '異常應用程式需要先同步到正常狀態，升級失敗請在日誌審計-系統日誌中查看失敗原因',
        installWarn: '當前未勾選端口外部訪問，將無法通過外網IP:端口訪問，是否繼續？ ',
        showIgnore: '查看忽略應用',
        cancelIgnore: '取消忽略',
        ignoreList: '忽略列表',
        appHelper: '部分應用的安裝使用說明請在應用詳情頁查看',
        backupApp: '升級前備份應用',
        backupAppHelper: '升級失敗會使用備份自動回滾,請在日誌審計-系統日誌中查看失敗原因',
        delete: '刪除',
        openrestyDeleteHelper: '強制刪除 OpenResty 會刪除所有的網站，請確認風險後操作',
        downloadLogHelper1: '即將下載 {0} 套用所有日誌，是否繼續？ ',
        downloadLogHelper2: '即將下載 {0} 應用最近 {1} 條日誌，是否繼續？ ',
        syncAllAppHelper: '即將同步所有應用，是否繼續？ ',
        hostModeHelper: '目前應用網路模式為 host 模式，如需放開端口，請在防火牆頁面手動放開',
        showLocal: '顯示本機應用程式',
        reload: '重載',
        upgradeWarn: '升級應用程式會取代 docker-compose.yml 文件，如有更改，可以點擊查看文件對比',
        newVersion: '新版本',
        oldVersion: '目前版本',
        composeDiff: '文件對比',
        showDiff: '看對比',
        useNew: '使用自訂版本',
        useDefault: '使用預設版本',
        useCustom: '自訂 docker-compose.yml',
        useCustomHelper: '使用自訂 docker-compose.yml 文件，可能會導致應用程式升級失敗，如無必要，請勿勾選',
        diffHelper: '左側為舊版本，右側為新版，編輯之後點選使用自訂版本儲存',
    },
    website: {
        website: '網站',
        primaryDomain: '主域名',
        otherDomains: '其他域名',
        static: '靜態網站',
        deployment: '一鍵部署',
        supportUpType: '僅支持 .tar.gz 文件',
        zipFormat: '.tar.gz 壓縮包結構：test.tar.gz 壓縮包內，必需包含 {0} 文件',
        proxy: '反向代理',
        alias: '代號',
        ftpUser: 'FTP 帳號',
        ftpPassword: 'FTP 密碼',
        ftpHelper: '建立站點的同時，為站點建立一個對應 FTP 帳戶，並且 FTP 目錄指向站點所在目錄。',
        remark: '備註',
        group: '分組',
        groupSetting: '分組管理',
        createGroup: '創建分組',
        app: '應用',
        appNew: '新裝應用',
        appInstalled: '已裝應用',
        create: '創建網站',
        delete: '刪除網站',
        deleteApp: '刪除應用',
        deleteBackup: '刪除備份',
        domain: '域名',
        domainHelper: '一行一個域名,支持*和IP地址,支持域名:端口',
        addDomain: '新增域名',
        domainConfig: '域名設置',
        defaultDoc: '默認文檔',
        perserver: '並發限製',
        perserverHelper: '限製當前站點最大並發數',
        perip: '單IP限製',
        peripHelper: '限製單個IP訪問最大並發數',
        rate: '流量限製',
        rateHelper: '限製每個請求的流量上(單位:KB)',
        limitHelper: '啟用流量控製',
        other: '其他',
        currentSSL: '當前證書',
        dnsAccount: 'DNS賬號',
        applySSL: '證書申請',
        SSLList: '證書列表',
        createDnsAccount: 'DNS賬戶',
        aliyun: '阿裏雲DNS',
        manual: '手動解析',
        key: '密鑰',
        check: '查看',
        acmeAccountManage: 'Acme 賬戶',
        email: '郵箱',
        acmeAccount: 'Acme 賬戶',
        provider: '驗證方式',
        dnsManual: '手動解析',
        expireDate: '過期時間',
        brand: '組織',
        deploySSL: '部署',
        deploySSLHelper: '確定部署證書？',
        ssl: '證書',
        dnsAccountManage: 'DNS 賬戶',
        renewSSL: '續簽',
        renewHelper: '確定續簽證書？',
        renewSuccess: '續簽證書',
        config: '配置',
        enableHTTPS: '啟用 HTTPS',
        aliasHelper: '代號是網站目錄的文件夾名稱',
        lastBackupAt: '上次備份時間',
        null: '無',
        nginxConfig: 'Nginx配置',
        websiteConfig: '網站設置',
        basic: '基本',
        source: '配置文件',
        security: '安全',
        log: '日誌',
        nginxPer: '性能調整',
        neverExpire: '永不過期',
        setDefault: '設為默認',
        default: '默認',
        deleteHelper: '相關應用狀態不正常，請檢查',
        toApp: '去已安裝列表',
        cycle: '周期',
        frequency: '頻率',
        ccHelper: '{0} 秒內累計請求同一URL超過 {1} 次,觸發CC防禦,封鎖此IP',
        mustSave: '修改之後需要保存才能生效',
        fileExt: '文件擴展名',
        fileExtBlock: '文件擴展名黑名單',
        value: '值',
        enable: '開啟',
        proxyAddress: '代理地址',
        proxyHelper: '例: 127.0.0.1:8080',
        forceDelete: '強製刪除',
        forceDeleteHelper: '強製刪除，會忽略刪除過程中產生的錯誤並最終刪除元數據',
        deleteAppHelper: '同時刪除關聯應用、數據庫以及應用備份',
        deleteBackupHelper: '同時刪除網站備份',
        deleteConfirmHelper: '刪除操作無法回滾，請輸入 <span style="color:red"> "{0}" </span> 刪除',
        staticPath: '對應主目錄:',
        limit: '限製方案',
        blog: '論壇/博客',
        imageSite: '圖片站',
        downloadSite: '下載站',
        shopSite: '商城',
        doorSite: '門戶',
        qiteSite: '企業',
        videoSite: '視頻',
        errLog: '錯誤日誌',
        accessLog: '網站日誌',
        stopHelper: '停止站點後將無法正常訪問，用戶訪問會顯示當前站點停止頁面，是否繼續操作？',
        startHelper: '啟用站點後，用戶可以正常訪問網站內容，是否繼續操作？',
        sitePath: '網站目錄',
        siteAlias: '網站代號',
        primaryPath: 'root 目錄',
        folderTitle: '網站主要包含以下資料夾',
        wafFolder: '防火墻規則',
        indexFolder: '網站root目錄',
        logFolder: '網站日誌',
        sslFolder: '網站證書',
        enableOrNot: '是否啟用',
        oldSSL: '選擇已有證書',
        manualSSL: '手動導入證書',
        select: '選擇',
        selectSSL: '選擇證書',
        privateKey: '私鑰(KEY)',
        certificate: '證書(PEM格式)',
        HTTPConfig: 'HTTP 選項',
        HTTPSOnly: '禁止 HTTP',
        HTTPToHTTPS: '訪問HTTP自動跳轉到HTTPS',
        HTTPAlso: 'HTTP可直接訪問',
        sslConfig: 'SSL 選項',
        disableHTTPS: '禁用 HTTPS',
        disableHTTPSHelper: '禁用 HTTPS會刪除證書相關配置，是否繼續？',
        SSLHelper: '註意：請勿將SSL證書用於非法網站 \n 如開啟後無法使用HTTPS訪問，請檢查安全組是否正確放行443端口',
        SSLConfig: '證書設置',
        SSLProConfig: 'SSL 協議設置',
        supportProtocol: '支持的協議版本',
        encryptionAlgorithm: '加密算法',
        notSecurity: '（不安全）',
        encryptHelper:
            "Let's Encrypt 簽發證書有頻率限製，但足以滿足正常需求，過於頻繁操作會導致簽發失敗。具體限製請看 <a target=「_blank」 href='https://letsencrypt.org/zh-cn/docs/rate-limits/'>官方文檔</a> ",
        ipValue: '值',
        ext: '文件擴展名',
        wafInputHelper: '按行輸入數據，一行一個',
        data: '數據',
        ever: '永久',
        nextYear: '一年後',
        noLog: '當前沒有日誌...',
        defaultServer: '默認站點',
        noDefaultServer: '未設置',
        defaultServerHelper: '設置默認站點後,所有未綁定的域名和IP都被定向到默認站點\n可有效防止惡意解析',
        websiteDeploymentHelper: '使用從 1Panel 部署的應用創建網站',
        websiteStatictHelper: '在主機上創建網站目錄',
        websiteProxyHelper:
            '代理已有服務,例如本機已安裝使用 8080 端口的 halo 服務，那麼代理地址為 http://127.0.0.1:8080',
        restoreHelper: '確認使用此備份恢復？',
        wafValueHelper: '值',
        wafRemarkHelper: '描述',
        runtimeProxyHelper: '使用從 1Panel 創建的運行環境',
        runtime: '運行環境',
        deleteRuntimeHelper: '運行環境應用需要跟網站一並刪除，請謹慎處理',
        proxyType: '監聽網絡類型',
        unix: 'Unix 網絡',
        tcp: 'TCP/IP 網絡',
        phpFPM: 'FPM 配置文件',
        phpConfig: 'PHP 配置文件',
        updateConfig: '配置修改',
        isOn: '開啟',
        isOff: '關閉',
        rewrite: '偽靜態',
        rewriteMode: '方案',
        current: '當前',
        rewriteHelper: '若設置偽靜態後，網站無法正常訪問，請嘗試設置回default',
        runDir: '運行目錄',
        runUserHelper:
            '透過 PHP 容器運行環境部署的網站，需要將 index 和子目錄下的所有檔案、資料夾擁有者和使用者群組設定為 1000，本地 PHP 環境需要參考本機 PHP-FPM 使用者和使用者群組設定',
        userGroup: '運行用戶/組',
        uGroup: '用戶組',
        proxyPath: '前端請求路徑',
        proxyPass: '後端代理地址',
        cache: '緩存',
        cacheTime: '緩存時間',
        enableCache: '開啟緩存',
        proxyHost: '後端域名',
        disabled: '已停止',
        startProxy: '開啟反向代理',
        stopProxy: '關閉反向代理',
        proxyFile: '源文',
        proxyHelper1: '訪問這個目錄時將會把目標URL的內容返回並顯示',
        proxyPassHelper: '代理的站點，必須為可正常訪問的URL',
        proxyHostHelper: '將域名添加到請求頭傳遞到代理服務器',
        replacementHelper: '最多可以添加5條替換內容,如果不需要替換請留空',
        modifier: '匹配規則',
        modifierHelper: '例：= 精確匹配，~ 正則匹配，^~ 匹配路徑開頭 等',
        replace: '文本替換',
        addReplace: '添加文本替換',
        replaced: '搜索字符串（不能為空）',
        replaceText: '替換為字符串',
        replacedErr: '搜索字符串不能為空',
        replacedErr2: '搜索字符串不能重復',
        basicAuth: '密碼訪問',
        editBasicAuthHelper: '密碼為非對稱加密，無法回顯，編輯需要重新設置密碼',
        antiLeech: '防盜鏈',
        extends: '擴展名',
        browserCache: '瀏覽器緩存',
        leechLog: '記錄防盜鏈日誌',
        accessDomain: '允許的域名',
        leechReturn: '響應資源',
        noneRef: '允許來源為空',
        disable: '未啟用',
        disableLeechHelper: '是否禁用防盜鏈',
        disableLeech: '禁用防盜鏈',
        ipv6: '監聽 IPV6',
        leechReturnError: '請填寫 HTTP 狀態碼',
        selectAcme: '選擇 Acme 賬號',
        imported: '手動創建',
        importType: '導入方式',
        pasteSSL: '粘貼代碼',
        localSSL: '選擇伺服器文件',
        privateKeyPath: '私鑰文件',
        certificatePath: '證書文件',
        ipWhiteListHelper: 'IP白名單的作用：所有規則對IP白名單無效',
        redirect: '重定向',
        sourceDomain: '源域名/路徑',
        targetURL: '目標URL地址',
        keepPath: '保留URI參數',
        path: '路徑',
        redirectType: '重定向類型',
        redirectWay: '方式',
        keep: '保留',
        notKeep: '不保留',
        redirectRoot: '重定向到首頁',
        redirectHelper: '301永久重定向，302臨時重定向',
        changePHPVersionWarn: '切換 PHP 版本會刪除原有的 PHP 容器（不會丟失已經掛載的網站代碼），是否繼續？ ',
        changeVersion: '切換版本',
        retainConfig: '是否保留 php-fpm.conf 和 php.ini 文件',
        runDirHelper2: '請確保二級運行目錄位於 index 目錄下',
        openrestyHelper: 'OpenResty 默認 HTTP 端口：{0} HTTPS 端口：{1}，可能影響網站域名訪問和 HTTPS 強制跳轉',
        primaryDomainHelper: '支援網域:port',
        acmeAccountType: '賬號類型',
        keyType: '密鑰演算法',
        tencentCloud: '騰訊雲',
        containWarn: '其他域名中包含主域名，请重新輸入',
        rewriteHelper2: '從應用程式商店安裝的 WordPress 等應用，預設已經配置好偽靜態，重複配置可能會報錯',
        websiteBackupWarn: '僅支援導入本機備份，導入其他機器備份可能會恢復失敗',
        ipWebsiteWarn: 'IP 為網域名稱的網站，需要設定為預設網站才能正常存取',
        hstsHelper: '開啟 HSTS 可以增加網站安全性',
        defaultHtml: '預設頁面',
        website404: '網站 404 錯誤頁',
        domain404: '網站不存在頁面',
        indexHtml: '靜態網站預設頁',
        stopHtml: '網站停用頁',
        indexPHP: 'PHP 網站預設頁',
        sslExpireDate: '憑證過期時間',
        website404Helper: '網站 404 錯誤頁僅支援 PHP 運行環境網站和靜態網站',
        sni: '回源 SNI',
        sniHelper: '反代後端為 https 的時候可能需要設置回源 SNI，具體需要看 CDN 服務商文檔',
    },
    php: {
        short_open_tag: '短標簽支持',
        max_execution_time: '最大腳本運行時間',
        max_input_time: '最大輸入時間',
        memory_limit: ' 腳本內存限製',
        post_max_size: 'POST數據最大尺寸',
        file_uploads: '是否允許上傳文件',
        upload_max_filesize: '允許上傳文件的最大尺寸',
        max_file_uploads: '允許同時上傳文件的最大數量',
        default_socket_timeout: 'Socket超時時間',
        error_reporting: '錯誤級別',
        display_errors: '是否輸出詳細錯誤信息',
        cgi_fix_pathinfo: '是否開啟pathinfo',
        date_timezone: '時區',
        disableFunction: '禁用函數',
        disableFunctionHelper: '輸入要禁用的函數，例如exec，多個請用,分割',
        uploadMaxSize: '上傳限製',
        indexHelper: '為保障PHP網站正常運行，請將代碼放置於 index 目錄，並避免重命名',
        extensions: '擴充範本',
        extension: '擴充',
        extensionHelper: '多個擴充功能,分割',
        toExtensionsList: '檢視擴充清單',
    },
    nginx: {
        serverNamesHashBucketSizeHelper: '服務器名字的hash表大小',
        clientHeaderBufferSizeHelper: '客戶端請求的頭buffer大小',
        clientMaxBodySizeHelper: '最大上傳文件',
        keepaliveTimeoutHelper: '連接超時時間',
        gzipMinLengthHelper: '最小壓縮文件',
        gzipCompLevelHelper: '壓縮率',
        gzipHelper: '是否開啟壓縮傳輸',
        connections: '活動連接(Active connections)',
        accepts: '總連接次數(accepts)',
        handled: '總握手次數(handled)',
        requests: '總請求數(requests)',
        reading: '請求數(Reading)',
        writing: '響應數(Writing)',
        waiting: '駐留進程(Waiting)',
        status: '當前狀態',
        nginxConfig: '設置',
        configResource: '配置修改',
        saveAndReload: '保存並重載',
        clearProxyCache: '清除反代快取',
        clearProxyCacheWarn: '清除反代快取會影響所有配置快取的網站，並且需要重新啟動 OpenResty， 是否繼續？ ',
    },
    ssl: {
        create: '申請證書',
        provider: '類型',
        manualCreate: '手動創建',
        acmeAccount: 'Acme 賬號',
        resolveDomain: '解析域名',
        err: '錯誤',
        value: '記錄值',
        dnsResolveHelper: '請到DNS解析服務商處添加以下解析記錄：',
        detail: '詳情',
        msg: '證書信息',
        ssl: '證書',
        key: '私鑰',
        startDate: '生效時間',
        organization: '簽發機構',
        renewConfirm: '是否確定給網域名稱 {0} 申請證書？ ',
        autoRenew: '自動續簽',
        autoRenewHelper: '距離到期時間30天自動續約',
        renewSuccess: '續簽成功',
        renewWebsite: '該證書已經和以下網站關聯，申請會同步應用到這些網站',
        createAcme: '創建賬戶',
        acmeHelper: 'Acme 賬戶用於申請免費證書',
        upload: '上傳證書',
        applyType: '申請方式',
        apply: '申請',
        applyStart: '證書申請開始',
        getDnsResolve: '正在取得 DNS 解析值,請稍後 ...',
        selfSigned: '自簽證書',
        ca: '證書頒發機構',
        commonName: '憑證主體名稱(CN)',
        caName: '機構名稱',
        company: '公司/組織',
        department: '部門',
        city: '城市',
        province: '省份',
        country: '國家代號',
        commonNameHelper: '例如:',
        selfSign: '簽發證書',
        days: '有效期限',
        domainHelper: '一行一個網域名稱,支援*和IP位址',
        pushDir: '推送憑證到本機目錄',
        dir: '目錄',
        pushDirHelper: '會在此目錄下產生兩個文件，憑證檔案：fullchain.pem 金鑰檔案：privkey.pem',
        organizationDetail: '機構詳情',
        fromWebsite: '從網站獲取',
        dnsMauanlHelper: '手動解析模式需要在建立完之後點選申請按鈕取得 DNS 解析值',
        httpHelper: 'HTTP 模式需要安裝 OpenResty',
        buypassHelper: 'Buypass 大陸地區無法訪問',
        googleHelper: '如何取得EAB HmacKey 和EAB kid',
        googleCloudHelper: 'Google Cloud API 大陸大部分地區無法存取',
        httpHelper2: 'HTTP 模式無法申請泛網域憑證',
        skipDNSCheck: '跳過 DNS 校驗',
        skipDNSCheckHelper: '如果出現申請超時問題，請勾選此處，其他情況請勿勾選',
        cfHelper: '請勿使用 Global API Key',
        deprecated: '即將廢棄',
        deprecatedHelper: '已經停止維護，可能會在以後的某個版本廢棄，請使用騰訊雲方式解析',
        disableCNAME: '停用 CNAME',
        disableCNAMEHelper: '有 CNAME 配置的域名，如果申請失敗，可以勾選此處',
        nameserver: 'DNS 伺服器',
        nameserverHelper: '使用自訂的 DNS 伺服器來校驗網域名稱',
        edit: '編輯證書',
        execShell: '申請憑證之後執行腳本',
        shell: '腳本內容',
        shellHelper:
            '腳本預設執行目錄為 1Panel 安裝目錄，如果有推送證書，那麼執行目錄為證書推送目錄。預設超時時間 30 分鐘',
    },
    firewall: {
        create: '創建規則',
        edit: '編輯規則',
        notSupport: '未檢測到系統防火墻（firewalld 或者 ufw），請參考官方文檔進行安裝',
        ccDeny: 'CC 防護',
        ipWhiteList: 'IP 白名單',
        ipBlockList: 'IP 黑名單',
        fileExtBlockList: '文件擴展名黑名單',
        urlWhiteList: 'URL 白名單',
        urlBlockList: 'URL 黑名單',
        argsCheck: 'GET 參數校驗',
        postCheck: 'POST 參數校驗',
        cookieBlockList: 'Cookie 黑名單',

        firewall: '防火墻',
        dockerHelper: 'Linux 防火墻 {0} 無法禁用 Docker 端口映射，應用可以在 [已安裝] 頁面編輯參數來控製端口是否放開',
        quickJump: '快速跳轉',
        used: '已使用',
        unUsed: '未使用',
        firewallHelper: '{0}系統防火墻',
        firewallNotStart: '當前未開啟系統防火墻，請先開啟！',
        restartFirewallHelper: '該操作將對當前防火牆進行重啟操作，是否繼續？',
        stopFirewallHelper: '系統防火墻關閉後，服務器將失去安全防護，是否繼續？',
        startFirewallHelper: '系統防火墻開啟後，可以更好的防護服務器安全，是否繼續？',
        noPing: '禁 ping',
        noPingTitle: '是否禁 ping',
        noPingHelper: '禁 ping 後將無法 ping 通服務器，是否繼續？',
        onPingHelper: '解除禁 ping 後您的服務器可能會被黑客發現，是否繼續？',
        changeStrategy: '修改{0}策略',
        changeStrategyIPHelper1: 'IP 策略修改為【屏蔽】，設置後該 IP 將禁止訪問服務器，是否繼續？',
        changeStrategyIPHelper2: 'IP 策略修改為【放行】，設置後該 IP 將恢復正常訪問，是否繼續？',
        changeStrategyPortHelper1: '端口策略修改為【拒絕】，設置後端口將拒絕外部訪問，是否繼續？',
        changeStrategyPortHelper2: '端口策略修改為【允許】，設置後端口將恢復正常訪問，是否繼續？',
        stop: '禁止',
        portFormatError: '請輸入正確的端口信息！',
        portHelper1: '多個端口，如：8080,8081',
        portHelper2: '範圍端口，如：8080-8089',
        strategy: '策略',
        accept: '允許',
        drop: '拒絕',
        source: '來源',
        anyWhere: '所有 IP',
        address: '指定 IP',
        addressHelper: '支持輸入 IP 或 IP 段',
        allow: '放行',
        deny: '屏蔽',
        addressFormatError: '請輸入合法的 ip 地址！',
        addressHelper1: '支持輸入 IP 或 IP 段：172.16.10.11 或 172.16.0.0/24',
        addressHelper2: '多個 IP 或 IP 段 請用 "," 隔開：172.16.10.11,172.16.0.0/24',
        allIP: '所有 IP',
        portRule: '端口規則',
        forwardRule: '端口轉發',
        ipRule: 'IP 規則',
        userAgent: 'User-Agent 過濾',
        sourcePort: '來源端口',
        targetIP: '目標 IP',
        targetPort: '目標端口',
        forwardHelper1: '如果是本機端口轉發，目標 IP 為：127.0.0.1',
        forwardHelper2: '如果目標 IP 不填寫，默認為本機端口轉發',
        forwardHelper3: '當前僅支持 IPv4 的端口轉發',
    },
    runtime: {
        runtime: '運行環境',
        image: '鏡像',
        workDir: '工作目錄',
        create: '創建運行環境',
        resource: '來源',
        appstore: '應用商店',
        local: '本地',
        app: '應用',
        localHelper: '本地運行環境需要自行安裝',
        version: '版本',
        versionHelper: 'PHP的版本,例 v8.0',
        buildHelper: '選擇的擴展越多，製作鏡像過程中占用 CPU 越多，請盡量避免選擇全部擴展',
        openrestyWarn: 'PHP 需要升級  OpenResty 至 1.21.4.1 版本以上才能使用',
        toupgrade: '去升級',
        edit: '編輯運行環境',
        extendHelper: '列表中不存在的擴展，可以手動輸入之後選擇，例:輸入 sockets ，然後在下拉列表中選擇第一個',
        rebuildHelper: '編輯擴展後需要【重建】PHP 應用之後才能生效',
        rebuild: '重建 PHP 應用',
        source: 'PHP 擴展源',
        ustc: '中國科學技術大學',
        netease: '網易',
        aliyun: '阿里雲',
        default: '默認',
        tsinghua: '清華大學',
        xtomhk: 'XTOM 鏡像站（香港）',
        xtom: 'XTOM 鏡像站（全球）',
        phpsourceHelper: '根據你的網絡環境選擇合適的源',
        appPort: '應用端口',
        externalPort: '外部映射端口',
        packageManager: '包管理器',
        codeDir: '源碼目錄',
        appPortHelper: '應用端口是指容器內部運行的端口',
        externalPortHelper: '外部映射端口是指將容器內部端口映射到外部的端口',
        runScript: '啟動命令',
        runScriptHelper: '啟動命令是指容器啟動後運行的命令',
        open: '開啟',
        close: '關閉',
        operatorHelper: '將對選取的執行環境進行 {0} 操作，是否繼續？ ',
        statusHelper: '狀態說明：啟動中-容器已啟動，但應用正在啟動；異常-容器已啟動，但應用狀態異常',
        taobao: '淘寶',
        tencent: '騰訊',
        imageSource: '鏡像源',
        moduleManager: '模塊管理',
        module: '模塊',
        nodeOperatorHelper: '是否{0} {1} 模組？ 操作可能導致運轉環境異常，請確認後操作',
        customScript: '自訂啟動指令',
        customScriptHelper: '請填寫完整的啟動指令，例如：npm run start',
        portError: '不能填寫相同連接埠',
        systemRestartHelper: '狀態說明：中斷-系統重新啟動導致狀態取得失敗',
        javaScriptHelper: '請填寫完整啟動指令，例如：java -jar halo.jar -Xmx1024M -Xms256M',
        javaDirHelper: '目錄中要包含 jar 包，子目錄中包含也可',
        goHelper: '請填寫完整啟動命令，例如：go run main.go 或 ./main',
        goDirHelper: '目錄中要包含 go 文件或者二進制文件，子目錄中包含也可',
    },
    process: {
        pid: '進程ID',
        ppid: '父進程ID',
        numThreads: '線程',
        memory: '內存',
        diskRead: '磁盤讀',
        diskWrite: '磁盤寫',
        netSent: '上行',
        netRecv: '下行',
        numConnections: '連接',
        startTime: '啟動時間',
        status: '狀態',
        running: '運行中',
        sleep: '睡眠',
        stop: '停止',
        idle: '空閑',
        zombie: '僵屍進程',
        wait: '等待',
        lock: '鎖定',
        blocked: '阻塞',
        cmdLine: '啟動命令',
        basic: '基本信息',
        mem: '內存信息',
        openFiles: '文件打開',
        file: '文件',
        env: '環境變量',
        noenv: '無',
        net: '網絡連接',
        laddr: '源地址/端口',
        raddr: '目標地址/端口',
        stopProcess: '結束',
        stopProcessWarn: '是否確定結束此進程 (PID:{0})？',
        processName: '進程名稱',
    },
    tool: {
        supervisor: {
            loadStatusErr: '獲取進程狀態失敗，請檢查 supervisor 服務狀態',
            notSupport: '未檢測到 Supervisor，請參考官方文檔進行安裝',
            list: '守護進程',
            config: 'Supervisor 配置',
            primaryConfig: '主配置文件位置',
            notSupportCrl: '未檢測到 supervisorctl，請參考官方文檔進行安裝',
            user: '啟動用戶',
            command: '啟動命令',
            dir: '運行目錄',
            numprocs: '進程數量',
            initWarn:
                '初始化操作需要修改配置文件的 [include] files 參數，修改後的服務配置文件所在目錄: 1panel安裝目錄/1panel/tools/supervisord/supervisor.d/',
            operatorHelper: '將對 {0} 進行 {1} 操作，是否繼續？ ',
            uptime: '運行時長',
            notStartWarn: 'Supervisor 未啟動，請先啟動',
            serviceName: '服務名稱',
            initHelper: '尚未初始化 Supervisor ，請先初始化',
            serviceNameHelper: 'systemctl 管理的 Supervisor 服務名稱，一般為 supervisor 或 supervisord',
            restartHelper: '初始化會重啟服務，導致原有的守護進程全部關閉',
            msg: '信息',
            RUNNING: '運行中',
            STOPPED: '已停止',
            STOPPING: '停止中',
            STARTING: '啟動中',
            FATAL: '啟動失敗',
            BACKOFF: '啟動異常',
            ERROR: '錯誤',
            statusCode: '狀態碼',
            manage: '管理',
        },
    },
};
export default {
    ...fit2cloudTwLocale,
    ...message,
    ...xpackTwLocale,
};
